-- phpMyAdmin SQL Dump
-- version 4.8.5
-- https://www.phpmyadmin.net/
--
-- Servidor: 127.0.0.1
-- Tiempo de generación: 24-08-2022 a las 01:14:07
-- Versión del servidor: 10.1.40-MariaDB
-- Versión de PHP: 7.3.5

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de datos: `sysasistencia_nelsongeneral`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `branch_office`
--

CREATE TABLE `branch_office` (
  `id` int(11) NOT NULL,
  `name` varchar(191) COLLATE latin1_spanish_ci NOT NULL,
  `latitude` varchar(191) COLLATE latin1_spanish_ci NOT NULL,
  `longitude` varchar(191) COLLATE latin1_spanish_ci NOT NULL,
  `radius` int(11) NOT NULL,
  `address` varchar(191) COLLATE latin1_spanish_ci DEFAULT NULL,
  `idEmpresa` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci;

--
-- Volcado de datos para la tabla `branch_office`
--

INSERT INTO `branch_office` (`id`, `name`, `latitude`, `longitude`, `radius`, `address`, `idEmpresa`) VALUES
(1, 'solo_super_admin', '0', '0', 0, NULL, 1),
(10, 'solo_admin', '0', '0', 0, NULL, 8),
(11, 'solo_admin', '0', '0', 0, NULL, 9),
(12, 'solo_admin', '0', '0', 0, NULL, 10),
(13, 'Casa Jafu', '-33.68794049211788', '-71.20491858638084', 30, 'Pasaje el Pastizal 0237', 10),
(14, 'solo_admin', '0', '0', 0, NULL, 11),
(15, 'Manuel de Salas 586', '-33.4496703', '-70.593347', 50, 'Manuel de Salas 586, Ñuñoa', 11),
(16, 'solo_admin', '0', '0', 0, NULL, 12);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `empresa`
--

CREATE TABLE `empresa` (
  `idEmpresa` int(11) NOT NULL,
  `nomEmpresa` varchar(191) NOT NULL,
  `rutEmpresa` varchar(10) DEFAULT NULL,
  `Direccion` varchar(191) NOT NULL,
  `Latitud` varchar(30) DEFAULT NULL,
  `Longitud` varchar(30) DEFAULT NULL,
  `Logo` varchar(50) DEFAULT NULL,
  `radio` varchar(50) DEFAULT NULL,
  `AperturaSistema` time NOT NULL,
  `HoraEntrada` time DEFAULT NULL,
  `HoraSalida` time DEFAULT NULL,
  `diasHabilitados` varchar(100) NOT NULL,
  `estadoEmpresa` varchar(50) DEFAULT NULL,
  `pagoHora` decimal(18,2) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `empresa`
--

INSERT INTO `empresa` (`idEmpresa`, `nomEmpresa`, `rutEmpresa`, `Direccion`, `Latitud`, `Longitud`, `Logo`, `radio`, `AperturaSistema`, `HoraEntrada`, `HoraSalida`, `diasHabilitados`, `estadoEmpresa`, `pagoHora`) VALUES
(1, 'solo_super_admin', NULL, ' ', NULL, NULL, NULL, NULL, '00:00:00', NULL, NULL, '', NULL, NULL),
(8, 'OIL TEST INTERNACIONAL', NULL, 'Nueva de Matte 1423, Independencia, Región Metropolitana', NULL, NULL, '1519911418499.jpg', NULL, '07:00:00', NULL, NULL, 'LU_MA_MI_JU_VI_SÁ_DO', 'OPERATIVO', NULL),
(9, 'SGS Chile', NULL, 'Av. Tres Poniente 0800, Maipú, Santiago', NULL, NULL, 'sgs.jpg', NULL, '00:00:00', NULL, NULL, 'LU_MA_MI_JU_VI_SÁ_DO', 'OPERATIVO', NULL),
(10, 'Casa Jafu', NULL, 'Pasaje el Pastizal 0237', NULL, NULL, 'descarga.jpg', NULL, '06:05:00', NULL, NULL, 'LU_MA_MI_JU_VI_SÁ_DO', 'OPERATIVO', NULL),
(11, 'Legible SpA', '54645656-5', 'Manuel de Salas 586', NULL, NULL, 'cwil.png', NULL, '05:34:00', NULL, NULL, 'LU_MA_MI_JU_VI_SÁ_DO', 'OPERATIVO', NULL),
(12, 'CWILSOFT', '30666957-5', 'asdasd', NULL, NULL, NULL, NULL, '04:31:00', NULL, NULL, '', 'OPERATIVO', NULL);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `pago`
--

CREATE TABLE `pago` (
  `IdPago` int(11) NOT NULL,
  `monto` decimal(18,2) NOT NULL,
  `nota` varchar(180) COLLATE utf8_spanish_ci DEFAULT NULL,
  `fecha` date NOT NULL,
  `hora` time NOT NULL,
  `IdUsuario` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

--
-- Volcado de datos para la tabla `pago`
--

INSERT INTO `pago` (`IdPago`, `monto`, `nota`, `fecha`, `hora`, `IdUsuario`) VALUES
(1, '1000.00', NULL, '2022-06-24', '17:27:22', 34);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `registro`
--

CREATE TABLE `registro` (
  `IdRegistro` int(11) NOT NULL,
  `LatitudEntrada` varchar(40) COLLATE utf8_spanish_ci NOT NULL,
  `LongitudEntrada` varchar(40) COLLATE utf8_spanish_ci NOT NULL,
  `FechaRegistro` date NOT NULL,
  `HoraEntrada` time NOT NULL,
  `HoraSalida` time DEFAULT NULL,
  `LatitudSalida` varchar(40) COLLATE utf8_spanish_ci DEFAULT NULL,
  `LongitudSalida` varchar(40) COLLATE utf8_spanish_ci DEFAULT NULL,
  `Consideracion` varchar(50) COLLATE utf8_spanish_ci NOT NULL,
  `Consideracion2` varchar(50) COLLATE utf8_spanish_ci DEFAULT NULL,
  `HoraEntradaU` time DEFAULT NULL,
  `HoraSalidaU` time DEFAULT NULL,
  `capturaEntrada` varchar(191) COLLATE utf8_spanish_ci DEFAULT NULL,
  `capturaSalida` varchar(191) COLLATE utf8_spanish_ci DEFAULT NULL,
  `Observacion` varchar(200) COLLATE utf8_spanish_ci DEFAULT NULL,
  `EncargadoUpdt` varchar(50) COLLATE utf8_spanish_ci DEFAULT NULL,
  `IdUsuario` int(11) NOT NULL,
  `estado` varchar(60) COLLATE utf8_spanish_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

--
-- Volcado de datos para la tabla `registro`
--

INSERT INTO `registro` (`IdRegistro`, `LatitudEntrada`, `LongitudEntrada`, `FechaRegistro`, `HoraEntrada`, `HoraSalida`, `LatitudSalida`, `LongitudSalida`, `Consideracion`, `Consideracion2`, `HoraEntradaU`, `HoraSalidaU`, `capturaEntrada`, `capturaSalida`, `Observacion`, `EncargadoUpdt`, `IdUsuario`, `estado`) VALUES
(5, '-33.6880882', '-71.2049897', '2022-04-29', '17:09:11', NULL, NULL, NULL, 'CORRECTO', NULL, NULL, NULL, '3204-09-1704-29.png', NULL, NULL, NULL, 32, NULL),
(6, '-33.6880976', '-71.2049685', '2022-05-02', '13:08:36', '19:01:35', '-33.6881076', '-71.204965', 'CORRECTO', 'CORRECTO', NULL, NULL, '3212-08-4805-02.png', '606-01-3505-02.png', NULL, NULL, 32, NULL),
(7, '-33.6880841', '-71.2049861', '2022-05-03', '12:53:48', '18:58:54', '-33.6880911', '-71.2049911', 'CORRECTO', 'CORRECTO', NULL, NULL, '3211-54-0805-03.png', '705-58-5405-03.png', NULL, NULL, 32, NULL),
(8, '-33.6880781', '-71.2049975', '2022-05-04', '13:09:51', '19:01:24', '-33.6880861', '-71.2049733', 'CORRECTO', 'CORRECTO', NULL, NULL, '3212-10-1505-04.png', '806-01-2405-04.png', NULL, NULL, 32, NULL),
(9, '-33.688088', '-71.2049759', '2022-05-05', '13:01:48', '18:51:10', '-33.6880761', '-71.2049857', 'CORRECTO', 'CORRECTO', NULL, NULL, '3212-01-5905-05.png', '905-51-1005-05.png', NULL, NULL, 32, NULL),
(10, '-33.6880717', '-71.204983', '2022-05-06', '13:07:58', NULL, NULL, NULL, 'CORRECTO', NULL, NULL, NULL, '3212-08-1805-06.png', NULL, NULL, NULL, 32, NULL),
(11, '-33.6880672', '-71.2049895', '2022-05-09', '13:09:15', '18:55:09', '-33.6880754', '-71.2049855', 'CORRECTO', 'CORRECTO', NULL, NULL, '3212-09-2505-09.png', '1105-55-0905-09.png', NULL, NULL, 32, NULL),
(12, '-33.6880762', '-71.2049805', '2022-05-10', '12:53:59', '18:59:01', '-33.6880789', '-71.2049799', 'CORRECTO', 'CORRECTO', NULL, NULL, '3211-54-1405-10.png', '1205-59-0105-10.png', NULL, NULL, 32, NULL),
(13, '-33.6880728', '-71.2049817', '2022-05-11', '13:07:08', '18:53:49', '-33.6880835', '-71.2049706', 'CORRECTO', 'CORRECTO', NULL, NULL, '3212-07-4605-11.png', '1305-53-4905-11.png', NULL, NULL, 32, NULL),
(39, '-13.652329', '-73.428122', '2022-08-12', '16:11:34', '18:38:58', '-13.652329', '-73.428122', 'FUERA DE RANGO', 'FUERA DE RANGO', NULL, NULL, '3403-11-4908-12.png', '3905-38-5808-12.png', NULL, NULL, 34, NULL),
(40, '-0.0000', '-0.0000', '2022-08-17', '09:00:00', '18:00:00', NULL, NULL, 'SINUBICACION', 'SINUBICACION', NULL, NULL, NULL, NULL, NULL, NULL, 34, 'L.M.'),
(46, '-0.0000', '-0.0000', '2022-08-14', '09:00:00', '18:00:00', NULL, NULL, 'SINUBICACION', 'SINUBICACION', NULL, NULL, NULL, NULL, NULL, NULL, 34, 'L.M.'),
(47, '-0.0000', '-0.0000', '2022-08-15', '09:00:00', '18:00:00', NULL, NULL, 'SINUBICACION', 'SINUBICACION', NULL, NULL, NULL, NULL, NULL, NULL, 34, 'L.M.'),
(53, '-0.0000', '-0.0000', '2022-08-11', '09:00:00', '18:00:00', NULL, NULL, 'SINUBICACION', 'SINUBICACION', NULL, NULL, NULL, NULL, NULL, NULL, 34, 'VAC'),
(54, '-0.0000', '-0.0000', '2022-08-13', '09:00:00', '18:00:00', NULL, NULL, 'SINUBICACION', 'SINUBICACION', NULL, NULL, NULL, NULL, NULL, NULL, 34, 'VAC'),
(55, '-0.0000', '-0.0000', '2022-08-16', '09:00:00', '18:00:00', NULL, NULL, 'SINUBICACION', 'SINUBICACION', NULL, NULL, NULL, NULL, NULL, NULL, 34, 'VAC'),
(56, '-0.0000', '-0.0000', '2022-08-18', '09:00:00', '18:00:00', NULL, NULL, 'SINUBICACION', 'SINUBICACION', NULL, NULL, NULL, NULL, NULL, NULL, 34, 'VAC'),
(60, '-13.652457', '-73.428437', '2022-08-13', '13:29:26', '13:30:07', '-13.652457', '-73.428437', 'FUERA DE RANGO', 'FUERA DE RANGO', NULL, NULL, '3512-29-3608-13.png', '6012-30-0708-13.png', NULL, NULL, 35, NULL);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `schedule`
--

CREATE TABLE `schedule` (
  `id` int(11) NOT NULL,
  `name` varchar(191) COLLATE latin1_spanish_ci NOT NULL,
  `checkinTime` time NOT NULL,
  `departureTime` time NOT NULL,
  `idEmpresa` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci;

--
-- Volcado de datos para la tabla `schedule`
--

INSERT INTO `schedule` (`id`, `name`, `checkinTime`, `departureTime`, `idEmpresa`) VALUES
(1, 'solo_super_admin', '00:00:00', '00:00:00', 1),
(10, 'solo_admin', '00:00:00', '00:00:00', 8),
(11, 'solo_admin', '00:00:00', '00:00:00', 9),
(12, 'solo_admin', '00:00:00', '00:00:00', 10),
(13, 'Horario Maureen', '13:00:00', '19:00:00', 10),
(14, 'solo_admin', '00:00:00', '00:00:00', 11),
(15, 'A1', '09:00:00', '18:00:00', 11),
(16, 'A2', '10:30:00', '20:30:00', 11),
(17, 'solo_admin', '00:00:00', '00:00:00', 12);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `usuario`
--

CREATE TABLE `usuario` (
  `IdUsuario` int(11) NOT NULL,
  `Nombres` varchar(40) NOT NULL,
  `NumDocumento` char(10) NOT NULL,
  `password` varchar(200) NOT NULL,
  `clave` varchar(50) DEFAULT NULL,
  `Direccion` varchar(191) DEFAULT NULL,
  `TelefCel` varchar(15) DEFAULT NULL,
  `Correo` varchar(50) DEFAULT NULL,
  `CreadoEn` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `Estado` varchar(20) DEFAULT NULL,
  `TipoUsuario` varchar(20) NOT NULL,
  `foto` varchar(150) DEFAULT NULL,
  `pagoHora` decimal(18,2) DEFAULT NULL,
  `idBranch_office` int(11) NOT NULL,
  `idSchedule` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `usuario`
--

INSERT INTO `usuario` (`IdUsuario`, `Nombres`, `NumDocumento`, `password`, `clave`, `Direccion`, `TelefCel`, `Correo`, `CreadoEn`, `Estado`, `TipoUsuario`, `foto`, `pagoHora`, `idBranch_office`, `idSchedule`) VALUES
(15, 'José Luis Hurtado', '12721452-2', '$2y$10$FEeqzzjuNWXvYz0K/CaN7eC7QsCeUYrmATewJMGP2aNzRTdoOCbha', NULL, 'Javiera Carrera Sur 17, La Reina', '958625958', 'joseluis.enlazachile@enlazachile.cl', '2022-03-01 08:56:19', 'ACTIVO', 'SUPER_ADMIN', NULL, NULL, 1, 1),
(16, 'Nelson Jara', '12013107-9', '$2y$10$cqA.EDvLQ/dgz3RpTchaquwwlzEJQ5KHeMmkY1tLvtoLVDQziloUK', NULL, NULL, NULL, 'nelson.jara@enlazachile.cl', '2022-03-01 09:13:16', 'ACTIVO', 'SUPER_ADMIN', NULL, NULL, 1, 1),
(28, 'Erika Stagno', '559822', '$2y$10$dh1AvgWKfAvreKQsxnjkleQ/05.x3l2XsF55Uii4euf4ALLVeGNDu', NULL, NULL, NULL, 'Estagno@otihdl.com', '2022-03-16 11:26:46', 'ACTIVO', 'ADMINISTRADOR', NULL, NULL, 10, 10),
(29, 'Franco', '11111111-1', '$2y$10$fmoB.VReYi1q8.XkAw.7.uA7lVbBnqnFy3mg1jwB2yzqW.wnVpIYy', NULL, 'Av. Tres Poniente 0800, Maipú, Santiago', NULL, 'Franco.Zelada@sgs.com', '2022-03-16 14:12:53', 'ACTIVO', 'ADMINISTRADOR', NULL, NULL, 11, 11),
(30, 'Karin Fuentes', '15374243', '$2y$10$fdSIJv8NFiIv/ZXhjXkgT.Vsjk5J.ZGqPshLiefScPRrWP582Rzku', NULL, NULL, NULL, 'nelson.jara@enlazaeduca.cl', '2022-03-25 16:06:32', 'ACTIVO', 'ADMINISTRADOR', NULL, NULL, 12, 12),
(32, 'Maureen Jiménez', '19412543-7', '$2y$10$72XkFKmr7xzzKSAk.NaM7O51krj5USSlxSJe1RtHXSWpOfxLMApsG', 'mj1941', NULL, NULL, NULL, '2022-04-27 10:23:05', 'ACTIVO', 'PERSONAL', NULL, '1217.00', 13, 13),
(33, 'Carla Cortés', '138641368', '$2y$10$6p4.XVUzgbQCsq5iiO5D8.1T0E5bpeDMWVbN8UhnWNsSwlE/d6L0C', NULL, 'Manuel de Salas 586, Ñuñoa', NULL, NULL, '2022-06-24 12:29:25', 'ACTIVO', 'ADMINISTRADOR', NULL, '0.00', 14, 14),
(34, 'José Wood Gonzales Cárdenas', '189138245', '$2y$10$6p4.XVUzgbQCsq5iiO5D8.1T0E5bpeDMWVbN8UhnWNsSwlE/d6L0C', 'jose045', 'diagonal santa elena 2605 depto 414', NULL, NULL, '2022-06-24 12:31:39', 'ACTIVO', 'PERSONAL', NULL, '1258.00', 15, 15),
(35, 'Gonzalo Huerta Roque Amao Campos', '121128497', '$2y$10$97UGhsxAEFCQIYt/t4sIMOdUMWAHpi9wwllDID3j6wQ5KZKUa.e1C', '121128497', NULL, NULL, NULL, '2022-06-29 16:20:04', 'ACTIVO', 'PERSONAL', '44329370_1896.jpg', '590.00', 15, 16),
(36, 'roberto carlos', '99999999-9', '$2y$10$wjxrsGmYv5/VGUcw/ro4Seumzhwm83.ehN3.mczNwEzwLPSeWPRdu', '99999999-9', 'ajaja', NULL, NULL, '2022-06-29 21:44:16', 'ACTIVO', 'PERSONAL', NULL, '5000.00', 13, 13);

--
-- Índices para tablas volcadas
--

--
-- Indices de la tabla `branch_office`
--
ALTER TABLE `branch_office`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idEmpresa` (`idEmpresa`);

--
-- Indices de la tabla `empresa`
--
ALTER TABLE `empresa`
  ADD PRIMARY KEY (`idEmpresa`);

--
-- Indices de la tabla `pago`
--
ALTER TABLE `pago`
  ADD PRIMARY KEY (`IdPago`),
  ADD KEY `fk_PagoRegistro` (`IdUsuario`);

--
-- Indices de la tabla `registro`
--
ALTER TABLE `registro`
  ADD PRIMARY KEY (`IdRegistro`),
  ADD KEY `fk_UsuarioRegistro` (`IdUsuario`);

--
-- Indices de la tabla `schedule`
--
ALTER TABLE `schedule`
  ADD PRIMARY KEY (`id`),
  ADD KEY `idEmpresa` (`idEmpresa`);

--
-- Indices de la tabla `usuario`
--
ALTER TABLE `usuario`
  ADD PRIMARY KEY (`IdUsuario`),
  ADD UNIQUE KEY `Dni` (`NumDocumento`),
  ADD KEY `idBranch_office` (`idBranch_office`),
  ADD KEY `idSchedule` (`idSchedule`);

--
-- AUTO_INCREMENT de las tablas volcadas
--

--
-- AUTO_INCREMENT de la tabla `branch_office`
--
ALTER TABLE `branch_office`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=17;

--
-- AUTO_INCREMENT de la tabla `empresa`
--
ALTER TABLE `empresa`
  MODIFY `idEmpresa` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;

--
-- AUTO_INCREMENT de la tabla `pago`
--
ALTER TABLE `pago`
  MODIFY `IdPago` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT de la tabla `registro`
--
ALTER TABLE `registro`
  MODIFY `IdRegistro` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=61;

--
-- AUTO_INCREMENT de la tabla `schedule`
--
ALTER TABLE `schedule`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=18;

--
-- AUTO_INCREMENT de la tabla `usuario`
--
ALTER TABLE `usuario`
  MODIFY `IdUsuario` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=37;

--
-- Restricciones para tablas volcadas
--

--
-- Filtros para la tabla `branch_office`
--
ALTER TABLE `branch_office`
  ADD CONSTRAINT `branch_office_ibfk_1` FOREIGN KEY (`idEmpresa`) REFERENCES `empresa` (`idEmpresa`);

--
-- Filtros para la tabla `pago`
--
ALTER TABLE `pago`
  ADD CONSTRAINT `fk_PagoRegistro` FOREIGN KEY (`IdUsuario`) REFERENCES `usuario` (`IdUsuario`);

--
-- Filtros para la tabla `registro`
--
ALTER TABLE `registro`
  ADD CONSTRAINT `fk_UsuarioRegistro` FOREIGN KEY (`IdUsuario`) REFERENCES `usuario` (`IdUsuario`);

--
-- Filtros para la tabla `schedule`
--
ALTER TABLE `schedule`
  ADD CONSTRAINT `schedule_ibfk_1` FOREIGN KEY (`idEmpresa`) REFERENCES `empresa` (`idEmpresa`);

--
-- Filtros para la tabla `usuario`
--
ALTER TABLE `usuario`
  ADD CONSTRAINT `usuario_ibfk_1` FOREIGN KEY (`idBranch_office`) REFERENCES `branch_office` (`id`),
  ADD CONSTRAINT `usuario_ibfk_2` FOREIGN KEY (`idSchedule`) REFERENCES `schedule` (`id`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
