<div class="modal fade modal-slide-in-center" aria-hidden="true" role="dialog" tabindex="-1" id="modal-add">
    {!!Form::open(array('url'=>'acceso/usuario2','method'=>'POST','autocomplete'=>'off', 'files'=>'true'))!!}
    {!!Form::token()!!}
    <style>
        .imagen img {
            width: 100px;
            height: auto;
        }
    </style>
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header bg-info">
                <h5 class="modal-title" id="exampleModalLongTitle">Crear Administrador</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text"><i class="fas fa-building"></i></span>
                    </div>
                    <select name="empresa" class="form-control" required>
                        @foreach ($empresa as $e)
                            <option value="{{$e->idEmpresa}}" {{$e->idEmpresa == old('empresa')? 'selected' : ''}}>{{$e->nomEmpresa}}</option>
                        @endforeach
                    </select>
                </div>
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text"><i class="fas fa-id-card"></i></span>
                    </div>
                    <input type="text" class="form-control NumDocumento" name="NumDocumento" id="NumDocumento"
                     placeholder="Número de Documento" value="{{old('NumDocumento')}}" required>
                </div>
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text"><i class="fas fa-pen"></i></span>
                    </div>
                    <input type="text" class="form-control" name="Nombres"
                    placeholder="Nombres" value="{{old('Nombres')}}" required>
                </div>

                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text"><i class="fas fa-map-marker-alt"></i></span>
                    </div>
                    <input type="text" class="form-control" name="Direccion"
                    placeholder="Dirección" value="{{old('Direccion')}}">
                </div>
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text"><i class="fas fa-phone"></i></span>
                    </div>
                    <input type="text" class="form-control" name="Telefono"
                    placeholder="Telefono" value="{{old('Telefono')}}">
                </div>
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text"><i class="fas fa-at"></i></span>
                    </div>
                    <input type="text" class="form-control" name="correo"
                    placeholder="Correo Electronico" value="{{old('correo')}}">
                </div>
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text"><i class="far fa-image"></i></span>
                    </div>
                    <input type="file" class="form-control" id="Imagen" name="foto">

                </div>
                <div id="img" class="imagen" ></div>
                @if (count($errors)>0)
                    <div class="alert alert-danger" style="margin: 0px auto 0px auto">
                        <ul>
                        @php($error_create = 0)
                        @foreach ($errors->all() as $error)
                            <li>{{$error}}</li>
                        @endforeach
                        </ul>

                    </div>
                @endif
            </div>
            <div class="modal-footer">
                <div style="margin: 0px auto 0px auto">
                    <button type="button" class="btn btn-danger" data-dismiss="modal">Cerrar</button>
                    <button type="submit" class="btn btn-primary">Guardar</button>
                </div>
            </div>
        </div>
    </div>
</div>
{{ Form::Close() }}

