<?php use App\Http\Controllers\DashController; ?>
@extends ('layouts.admin')
@section('contenido')
    <style>
        table {
            width: 100%;
        }

        table td {
            padding: 8px;
        }
    </style>
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h3>Reporte Gráfico</h3>
                </div>
                {{-- <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="#">Home</a></li>
                    <li class="breadcrumb-item active">Buttons</li>
                </ol>
            </div> --}}
            </div>
        </div><!-- /.container-fluid -->
    </section>
    @if (empty($searchText))
        @php($searchText = $mes_ac)
    @endif
    @if (empty($searchText2))
        @php($searchText2 = date('Y'))
    @endif
    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">

            <div class="card">
                @include('reporte.grafico.search')
                <div class="card-body table-responsive p-0">
                    <table class="text-nowrap">

                        <tr style="background: #343a40; color: #eeeeee;">
                            {{-- <td>PERSONAL</td> --}}
                            @php($cont = 1)
                            @foreach ($dias_mes_l as $dl)
                                @if ($dl == 'DO' && $dia_ac != $cont)
                                    <td style="background: #5d6268">{{ $dl }}</td>
                                @elseif($dia_ac == $cont && (date('Y') == $anio_o || $anio_o == ''))
                                    <td style="background: #17a2b8">{{ $dl }}</td>
                                @else
                                    <td>{{ $dl }}</td>
                                @endif
                                @php($cont += 1)
                            @endforeach
                        </tr>
                        <tr>
                            @php($anio_mes = $searchText2 . '-' . DashController::num_mes($searchText) . '-01')

                            @foreach ($dias_mes_n as $dn)
                                @php($f_com = $searchText2 . '-' . DashController::num_mes($searchText) . '-' . $dn)

                                <td>
                                    {{-- @if (date('D', strtotime($f_com)) == 'Sat' || date('D', strtotime($f_com)) == 'Sun')
                                        <a href="{{ route('r_descanso', $f_com) }}" onclick="confirmation(event)">{{ $dn }} </a>
                                    @else
                                        {{ $dn }}
                                    @endif --}}
                                    @if (!DashController::v_falta($f_com) && $anio_mes == $fecha)
                                        <a href="{{ route('r_descanso', $f_com) }}"
                                            onclick="confirmation(event)">{{ $dn }} </a>
                                    @else
                                        {{ $dn }}
                                    @endif

                                    {{-- <a href="">{{ $dn }}-{{ 'f' }}-{{ $searchText2 }}</a> --}}
                                </td>
                            @endforeach
                        </tr>
                        <tr>
                            @php($contador = 1)
                            @foreach ($asistencia as $a)
                                @php($a = explode('_', $a))
                                @if ($a[0] == '*')
                                    <td title="ASISTENCIA" style="color: #2fa861; text-align: center; font-weight: bold">
                                        <i class="fas fa-check"></i>
                                    </td>
                                @elseif($a[0] == 'F')
                                    <td title="FALTA" style="color: #d81616; text-align: center; font-weight: bold">
                                        <i class="fas fa-times"></i>
                                    </td>
                                @elseif($a[0] == 'A.I.')
                                    <td title="(A.I.) - Ausencia injustificada." style="text-align: center">
                                        A.I
                                    </td>
                                @elseif($a[0] == 'A.J')
                                    <td title="(A.J) - Ausencia justificada." style="text-align: center">
                                        A.J
                                    </td>
                                @elseif($a[0] == 'AT')
                                    <td title="(AT) - Atraso." style="text-align: center">
                                        AT
                                    </td>
                                @elseif($a[0] == 'C.T.')
                                    <td title="(C.T.) - Cambio de turno." style="text-align: center">
                                        C.T
                                    </td>
                                @elseif($a[0] == 'D.E.J.')
                                    <td title="(D.E.J.) - Distribución excepcional de Jornada." style="text-align: center">
                                        D.E
                                    </td>
                                @elseif($a[0] == 'H.E.')
                                    <td title="(H.E.) - Horas extraordinarias." style="text-align: center">
                                        H.E
                                    </td>
                                @elseif($a[0] == 'J.O.')
                                    <td title="(J.O.) - Jornada ordinaria." style="text-align: center">
                                        J.O
                                    </td>
                                @elseif($a[0] == 'L.M.')
                                    <td title="(L.M.) - Licencia médica." style="text-align: center">
                                        L.M
                                    </td>
                                @elseif($a[0] == 'P.G.R')
                                    <td title="(P.G.R) - Permiso con goce de remuneraciones." style="text-align: center">
                                        P.G
                                    </td>
                                @elseif($a[0] == 'PREN.')
                                    <td title="(PREN.) - Prenatal." style="text-align: center">
                                        PRE
                                    </td>
                                @elseif($a[0] == 'P.S.G.R.')
                                    <td title="(P.S.G.R.) - Permiso sin goce de remuneraciones." style="text-align: center">
                                        P.S
                                    </td>
                                @elseif($a[0] == 'POSTN')
                                    <td title="(POSTN) - Postnatal." style="text-align: center">
                                        POS
                                    </td>
                                @elseif($a[0] == 'S.A')
                                    <td title="(S.A) - Salida anticipada." style="text-align: center">
                                        S.A
                                    </td>
                                @elseif($a[0] == 'VAC')
                                    <td title="(VAC) - Vacaciones." style="text-align: center">
                                        VAC
                                    </td>
                                @else
                                    <td title="(D) - Descanso." style="text-align: center">
                                        @if ($anio_mes == $fecha)
                                            <a href="{{ route('eliminar_descanso', $a[1]) }}"
                                                onclick="confirmation2(event)">
                                                D
                                            </a>
                                        @else
                                            D
                                        @endif
                                    </td>
                                    {{-- @else
                                    <td title="TARDE" style="color: #17a2b8; text-align: center; font-weight: bold">
                                        <i class="fas fa-exclamation-triangle"></i>
                                    </td> --}}
                                @endif
                                @if ($contador % ($cant_dias + 1) == 0)
                        </tr>
                        <tr>
                            @endif
                            @php($contador += 1)
                            @endforeach
                        </tr>
                    </table>
                </div>

            </div>

        </div>
        <div class="col-lg-4 col-12">
            <div class="card">
                <div class="card-body" style="font-size: 0.9em">
                    <ul>
                        <li><b>A.I.:</b> AUSENCIA INJUSTIFICADA</li>
                        <li><b>A.J:</b> AUSENCIA JUSTIFICADA</li>
                        <li><b>AT:</b> ATRASO</li>
                        <li><b>C.T.:</b> CAMBIO DE TURNO</li>
                        <li><b>D.E.J.:</b> DISTRIBUCIÓN EXCEPCIONAL DE JORNADA</li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="col-lg-4 col-12">
            <div class="card">
                <div class="card-body" style="font-size: 0.9em">
                    <ul>
                        <li><b>H.E.:</b> HORAS EXTRAORDINARIAS</li>
                        <li><b>J.O.:</b> JORNADA ORDINARIA</li>
                        <li><b>L.M.:</b> LICENCIA MÉDICA</li>
                        <li><b>P.G.R:</b> PERMISO CON GOCE DE REMUNERACIONES</li>
                        <li><b>PREN:</b> PRENATAL</li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="col-lg-4 col-12">
            <div class="card">
                <div class="card-body" style="font-size: 0.9em">
                    <ul>
                        <li><b>P.S.G.R:</b> PERMISO SIN GOCE DE REMUNERACIONES</li>
                        <li><b>POSTN:</b> POSTNATAL</li>
                        <li><b>S.A:</b> SALIDA ANTICIPADA</li>
                        <li><b>VAC:</b> VACACIONES</li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="card">
                <div class="card-header ui-sortable-handle" style="background: #343a40; color: #eeeeee;">
                    <h3 class="card-title">
                        <i class="ion ion-clipboard mr-1"></i>
                        Resumen
                    </h3>
                </div>
                <!-- /.card-header -->
                <div class="card-body">

                    <table class="table">

                        <tr>
                            <td align="center">ASISTENCIAS</td>
                            <td align="center">FALTAS</td>
                            <td align="center">A.I. </td>
                            <td align="center">A.J </td>
                            <td align="center">AT </td>
                            <td align="center">C.T. </td>
                            <td align="center">D.E.J. </td>
                            <td align="center">H.E. </td>
                            <td align="center">J.O. </td>
                            <td align="center">L.M. </td>
                            <td align="center">P.G.R </td>
                            <td align="center">PREN </td>
                            <td align="center">P.S.G.R </td>
                            <td align="center">POSTN </td>
                            <td align="center">S.A </td>
                            <td align="center">VAC </td>
                            <td align="center">D </td>
                        </tr>
                        <tr>
                            @foreach ($estadistica as $e)
                                @php($est = explode('_', $e))
                                @if ($est[1] == 'Asistencias')
                                    <td align="center"><i class="fas fa-check"
                                            style="margin-right: 10px; color: #2fa861;"></i>
                                        {{ $est[0] }}
                                    </td>
                                @elseif($est[1] == 'Faltas')
                                    <td align="center"><i class="fas fa-times"
                                            style="margin-right: 10px; color: #d81616;"></i>{{ $est[0] }}
                                    </td>
                                @elseif($est[1] == 'Ausencia injustificada.')
                                    <td align="center">
                                        {{ $est[0] }}
                                    </td>
                                @elseif($est[1] == 'Ausencia justificada.')
                                    <td align="center">
                                        {{ $est[0] }}
                                    </td>
                                @elseif($est[1] == 'Atraso.')
                                    <td align="center">
                                        {{ $est[0] }}
                                    </td>
                                @elseif($est[1] == 'Cambio de turno.')
                                    <td align="center">
                                        {{ $est[0] }}
                                    </td>
                                @elseif($est[1] == 'Distribución excepcional de Jornada.')
                                    <td align="center">
                                        {{ $est[0] }}
                                    </td>
                                @elseif($est[1] == 'Horas extraordinarias.')
                                    <td align="center">
                                        {{ $est[0] }}
                                    </td>
                                @elseif($est[1] == 'Jornada ordinaria.')
                                    <td align="center">
                                        {{ $est[0] }}
                                    </td>
                                @elseif($est[1] == 'Licencia médica.')
                                    <td align="center">
                                        {{ $est[0] }}
                                    </td>
                                @elseif($est[1] == 'Permiso con goce de remuneraciones.')
                                    <td align="center">
                                        {{ $est[0] }}
                                    </td>
                                @elseif($est[1] == 'Prenatal.')
                                    <td align="center">
                                        {{ $est[0] }}
                                    </td>
                                @elseif($est[1] == 'Permiso sin goce de remuneraciones.')
                                    <td align="center">
                                        {{ $est[0] }}
                                    </td>
                                @elseif($est[1] == 'Postnatal.')
                                    <td align="center">
                                        {{ $est[0] }}
                                    </td>
                                @elseif($est[1] == 'Salida anticipada.')
                                    <td align="center">
                                        {{ $est[0] }}
                                    </td>
                                @elseif($est[1] == 'Vacaciones.')
                                    <td align="center">
                                        {{ $est[0] }}
                                    </td>
                                @elseif($est[1] == 'Descanso.')
                                    <td align="center">
                                        {{ $est[0] }}
                                    </td>
                                @else
                                    <td style="font-weight: bold">{{ $item }}</td>
                                @endif
                            @endforeach
                        </tr>

                    </table>
                </div>

            </div>
        </div>
    </div>
    @push('scripts')
        @if (Session::has('success'))
            <script type="text/javascript">
                const Toast = Swal.mixin({
                    toast: true,
                    position: 'top-end',
                    showConfirmButton: false,
                    timer: 3000,
                    timerProgressBar: true,
                    onOpen: (toast) => {
                        toast.addEventListener('mouseenter', Swal.stopTimer)
                        toast.addEventListener('mouseleave', Swal.resumeTimer)
                    }
                });
                Toast.fire({
                    icon: 'success',
                    title: '{{ Session::get('success') }}',
                    customClass: 'swal-pop',
                })
            </script>
        @elseif(Session::has('error'))
            <script type="text/javascript">
                const Toast = Swal.mixin({
                    toast: true,
                    position: 'top-end',
                    showConfirmButton: false,
                    timer: 3000,
                    timerProgressBar: true,
                    onOpen: (toast) => {
                        toast.addEventListener('mouseenter', Swal.stopTimer)
                        toast.addEventListener('mouseleave', Swal.resumeTimer)
                    }
                });
                Toast.fire({
                    icon: 'error',
                    title: '{{ Session::get('error') }}',
                    customClass: 'swal-pop',
                })
            </script>
        @endif
        <script>
            function confirmation(ev) {
                ev.preventDefault();
                var urlToRedirect = ev.currentTarget.getAttribute(
                    'href'
                ); //use currentTarget because the click may be on the nested i tag and not a tag causing the href to be empty
                console.log(urlToRedirect); // verify if this is the right URL
                Swal.fire({
                        title: 'Marcar Descanso',
                        text: "No podrás revertir esta acción!",
                        icon: 'warning',
                        showCancelButton: true,
                        confirmButtonColor: '#3085d6',
                        cancelButtonColor: '#d33',
                        confirmButtonText: 'Sí, Marcar!',
                        cancelButtonText: 'Cancelar'
                    })
                    .then((result) => {
                        if (result.isConfirmed) {
                            window.location = urlToRedirect;
                        }
                    });
            }
            // ----------------------------------------------
            function confirmation2(ev) {
                ev.preventDefault();
                var urlToRedirect = ev.currentTarget.getAttribute(
                    'href'
                ); //use currentTarget because the click may be on the nested i tag and not a tag causing the href to be empty
                console.log(urlToRedirect); // verify if this is the right URL
                Swal.fire({
                        title: 'Eliminar Descanso?',
                        text: "No podrás revertir esta acción!",
                        icon: 'warning',
                        showCancelButton: true,
                        confirmButtonColor: '#3085d6',
                        cancelButtonColor: '#d33',
                        confirmButtonText: 'Sí, Marcar!',
                        cancelButtonText: 'Cancelar'
                    })
                    .then((result) => {
                        if (result.isConfirmed) {
                            window.location = urlToRedirect;
                        }
                    });
            }
        </script>
    @endpush
@endsection
