<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <title>Reporte Gráfico</title>
    <style>
        body{
        font-family: Arial, Helvetica, sans-serif;
        font-size: 0.90em;
        }
        table {
            margin-left: auto;
            margin-right: auto;
            border-collapse: collapse;
            border-color: rgb(0, 0, 0);
            width: 100%;
        }
        td {
        padding: 3px;
        border: 1px solid rgb(117, 116, 116);
        }
        .data{
        float: right;
        display: block;
        margin: 2% 0% 0% 0%;
        }

    </style>
</head>
<body>
    <div>
        <?php if(!empty($empresa->Logo)): ?>
            <img src="../public/logo/<?php echo e($empresa->Logo); ?>" alt="" width="80" height="80">
            <p class="data">
                <?php echo e($empresa->nomEmpresa); ?> <br>
                <?php echo e($empresa->Direccion); ?>

            </p>
        <?php else: ?>
        <p>
            <?php echo e($empresa->nomEmpresa); ?> <br>
            <?php echo e($empresa->Direccion); ?>

        </p>
        <?php endif; ?>


    </div>
    <div class="encabezado" style="background: #163864; color: #ffffff;
    text-align: center; padding: 10px; margin-bottom: 15px">
        <span>Informe Gráfico <?php echo e($query); ?> del <?php echo e($query2); ?> </span>
    </div>
    <table>
        <tr style="background: #343a40; color: #eeeeee;">
            <td>PERSONAL</td>
            <?php ($cont = 1); ?>
            <?php $__currentLoopData = $dias_mes_l; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dl): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if($dl == 'DO' && $dia_ac != $cont): ?>
                <td style="background: #5d6268; text-align: center"><?php echo e($dl); ?></td>
                <?php elseif($dia_ac == $cont && (date('Y') == $anio_o || $anio_o == '')): ?>
                <td style="background: #17a2b8; text-align: center"><?php echo e($dl); ?></td>
                <?php else: ?>
                <td style="text-align: center"><?php echo e($dl); ?></td>
                <?php endif; ?>
                <?php ($cont += 1); ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tr>
        <tr>
            <td></td>
        <?php $__currentLoopData = $dias_mes_n; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dn): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <td style="text-align: center"><?php echo e($dn); ?></td>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tr>
        <tr>
            <?php ($contador = 1); ?>
            <?php ($t = count($asistencia)); ?>
            <?php $__currentLoopData = $asistencia; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $a): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php ($a = explode('_', $a)); ?>
                <?php if($a[0] == '*'): ?>
                <td title="ASISTENCIA" style="color: #128541; text-align: center; font-weight: bold">
                    A
                    <?php if($a[2] == "si"): ?>
                        <span style="color: #f6920f">*</span>
                    <?php endif; ?>
                </td>
                <?php elseif($a[0] == 'F'): ?>
                    <td title="FALTA" style="color: #d81616; text-align: center; font-weight: bold">
                        F
                    </td>
                <?php elseif($a[0] == 'T'): ?>
                    <td style="color: #17a2b8; text-align: center; font-weight: bold">
                        AT
                        <?php if($a[2] == "si"): ?>
                            <span style="color: #f6920f">*</span>
                        <?php endif; ?>
                    </td>
                <?php elseif($a[0] == 'A.I.'): ?>
                    <td title="(A.I.) - Ausencia injustificada." style="text-align: center">
                        A.I
                    </td>
                <?php elseif($a[0] == 'A.J'): ?>
                    <td title="(A.J) - Ausencia justificada." style="text-align: center">
                        A.J
                    </td>
                <?php elseif($a[0] == 'AT'): ?>
                    <td title="(AT) - Atraso." style="text-align: center">
                        AT
                    </td>
                <?php elseif($a[0] == 'C.T.'): ?>
                    <td title="(C.T.) - Cambio de turno." style="text-align: center">
                        C.T
                    </td>
                <?php elseif($a[0] == 'D.E.J.'): ?>
                    <td title="(D.E.J.) - Distribución excepcional de Jornada." style="text-align: center">
                        D.E
                    </td>
                <?php elseif($a[0] == 'H.E.'): ?>
                    <td title="(H.E.) - Horas extraordinarias." style="text-align: center">
                        H.E
                    </td>
                <?php elseif($a[0] == 'J.O.'): ?>
                    <td title="(J.O.) - Jornada ordinaria." style="text-align: center">
                        J.O
                    </td>
                <?php elseif($a[0] == 'L.M.'): ?>
                    <td title="(L.M.) - Licencia médica." style="text-align: center">
                        L.M
                    </td>
                <?php elseif($a[0] == 'P.G.R'): ?>
                    <td title="(P.G.R) - Permiso con goce de remuneraciones." style="text-align: center">
                        P.G
                    </td>
                <?php elseif($a[0] == 'PREN.'): ?>
                    <td title="(PREN.) - Prenatal." style="text-align: center">
                        PRE
                    </td>
                <?php elseif($a[0] == 'P.S.G.R.'): ?>
                    <td title="(P.S.G.R.) - Permiso sin goce de remuneraciones." style="text-align: center">
                        P.S
                    </td>
                <?php elseif($a[0] == 'POSTN'): ?>
                    <td title="(POSTN) - Postnatal." style="text-align: center">
                        POS
                    </td>
                <?php elseif($a[0] == 'S.A'): ?>
                    <td title="(S.A) - Salida anticipada." style="text-align: center">
                        S.A
                    </td>
                <?php elseif($a[0] == 'VAC'): ?>
                    <td title="(VAC) - Vacaciones." style="text-align: center">
                        VAC
                    </td>
                <?php elseif($a[0] == 'D'): ?>
                    <td title="(D) - Descanso." style="text-align: center">
                        D
                    </td>
                <?php else: ?>
                    <td  style="color: #292d2e; font-weight: bold">
                        <?php echo e($a[0]); ?>

                    </td>
                <?php endif; ?>
                <?php if((($contador) % ($cant_dias+1)) == 0): ?>
                </tr>
                <tr>
                <?php endif; ?>
                <?php ($contador +=1); ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <td colspan="<?php echo e($cant_dias+1); ?>" style="border: 1px 0px 0px 0px solid rgb(117, 116, 116);"></td>

        </tr>
    </table>

    <br>
    <table style="font-size: 0.85em">
        <tr>
            <td>
                <ul>
                    <li><b>A.I.:</b> AUSENCIA INJUSTIFICADA</li>
                    <li><b>A.J:</b> AUSENCIA JUSTIFICADA</li>
                    <li><b>AT:</b> ATRASO</li>
                    <li><b>C.T.:</b> CAMBIO DE TURNO</li>
                    <li><b>D.E.J.:</b> DISTRIBUCIÓN EXCEPCIONAL DE JORNADA</li>
                </ul>
            </td>
            <td>
                <ul>
                    <li><b>H.E.:</b> HORAS EXTRAORDINARIAS</li>
                    <li><b>J.O.:</b> JORNADA ORDINARIA</li>
                    <li><b>L.M.:</b> LICENCIA MÉDICA</li>
                    <li><b>P.G.R:</b> PERMISO CON GOCE DE REMUNERACIONES</li>
                    <li><b>PREN:</b> PRENATAL</li>
                </ul>
            </td>
            <td>
                <ul>
                    <li><b>P.S.G.R:</b> PERMISO SIN GOCE DE REMUNERACIONES</li>
                    <li><b>POSTN:</b> POSTNATAL</li>
                    <li><b>S.A:</b> SALIDA ANTICIPADA</li>
                    <li><b>VAC:</b> VACACIONES</li>
                </ul>
            </td>
        </tr>
    </table>
    <br>
    <?php ($c = 1); ?>
    <table>
        <tr style="background: #343a40; color: #eeeeee;">
            <td colspan="18">RESUMEN</td>
        </tr>
        <tr>
            <td>PERSONAL</td>
            <td align="center">ASISTENCIAS</td>
            
            <td align="center">FALTAS</td>
            <td align="center">A.I. </td>
            <td align="center">A.J </td>
            <td align="center">AT </td>
            <td align="center">C.T. </td>
            <td align="center">D.E.J. </td>
            <td align="center">H.E. </td>
            <td align="center">J.O. </td>
            <td align="center">L.M. </td>
            <td align="center">P.G.R </td>
            <td align="center">PREN </td>
            <td align="center">P.S.G.R </td>
            <td align="center">POSTN </td>
            <td align="center">S.A </td>
            <td align="center">VAC </td>
            <td align="center">D </td>
        </tr>
        <tr>
    <?php $__currentLoopData = $estadistica; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php ($est = explode('_', $item)); ?>
        <?php if(count($est) >= 2): ?>
            <?php if($est[1] == 'Asistencias'): ?>
                <td align="center"><i class="fas fa-check" style="margin-right: 10px;
                    color: #2fa861;"></i>
                        <?php echo e($est[0]); ?>

                </td>
            
            <?php elseif($est[1] == 'Faltas'): ?>
                <td align="center"><i class="fas fa-times" style="margin-right: 10px;
                    color: #d81616;"></i><?php echo e($est[0]); ?></td>
             <?php elseif($est[1] == 'Ausencia injustificada.'): ?>
                <td align="center">
                    <?php echo e($est[0]); ?>

                </td>
            <?php elseif($est[1] == 'Ausencia justificada.'): ?>
                <td align="center">
                    <?php echo e($est[0]); ?>

                </td>
            <?php elseif($est[1] == 'Atraso.'): ?>
                <td align="center">
                    <?php echo e($est[0]); ?>

                </td>
            <?php elseif($est[1] == 'Cambio de turno.'): ?>
                <td align="center">
                    <?php echo e($est[0]); ?>

                </td>
            <?php elseif($est[1] == 'Distribución excepcional de Jornada.'): ?>
                <td align="center">
                    <?php echo e($est[0]); ?>

                </td>
            <?php elseif($est[1] == 'Horas extraordinarias.'): ?>
                <td align="center">
                    <?php echo e($est[0]); ?>

                </td>
            <?php elseif($est[1] == 'Jornada ordinaria.'): ?>
                <td align="center">
                    <?php echo e($est[0]); ?>

                </td>
            <?php elseif($est[1] == 'Licencia médica.'): ?>
                <td align="center">
                    <?php echo e($est[0]); ?>

                </td>
            <?php elseif($est[1] == 'Permiso con goce de remuneraciones.'): ?>
                <td align="center">
                    <?php echo e($est[0]); ?>

                </td>
            <?php elseif($est[1] == 'Prenatal.'): ?>
                <td align="center">
                    <?php echo e($est[0]); ?>

                </td>
            <?php elseif($est[1] == 'Permiso sin goce de remuneraciones.'): ?>
                <td align="center">
                    <?php echo e($est[0]); ?>

                </td>
            <?php elseif($est[1] == 'Postnatal.'): ?>
                <td align="center">
                    <?php echo e($est[0]); ?>

                </td>
            <?php elseif($est[1] == 'Salida anticipada.'): ?>
                <td align="center">
                    <?php echo e($est[0]); ?>

                </td>
            <?php elseif($est[1] == 'Vacaciones.'): ?>
                <td align="center">
                    <?php echo e($est[0]); ?>

                </td>
            <?php elseif($est[1] == 'Descanso.'): ?>
                <td align="center">
                    <?php echo e($est[0]); ?>

                </td>
            <?php else: ?>
                <td style="font-weight: bold"><?php echo e($item); ?></td>
            <?php endif; ?>
        <?php else: ?>
            <td style="font-weight: bold"><?php echo e($item); ?></td>
        <?php endif; ?>
        <?php if($c % 18 == 0): ?>
        </tr>
        <tr>
        <?php endif; ?>
        <?php ($c += 1); ?>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <td colspan="18" style="border: 1px 0px 0px 0px solid rgb(117, 116, 116);">
            </td>
        </tr>
    </table>
</body>
</html>
<?php /**PATH C:\Cambios_Chi\sysasistencia_ng\resources\views/dashboard-administrador/reporte.blade.php ENDPATH**/ ?>