<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Reporte Gráfico Personal</title>
    <style>
        body {
            font-family: Arial, Helvetica, sans-serif;
            font-size: 0.90em;
        }

        table {
            margin-left: auto;
            margin-right: auto;
            border-collapse: collapse;
            border-color: rgb(0, 0, 0);
            width: 100%;
        }

        td {
            padding: 3px;
            border: 1px solid #000;
        }

        /* table td {
            padding: 8px;
        } */
    </style>
</head>

<body>
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h3>Reporte Gráfico: <?php echo e($mes_ac); ?> - <?php echo e($anio_o); ?> </h3>
                    <p><?php echo e($usuario); ?></p>
                </div>

            </div>
        </div><!-- /.container-fluid -->
    </section>

    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">

            <div class="card">
                <div class="card-body table-responsive p-0">
                    <table class="text-nowrap">

                        <tr style="background: #343a40; color: #eeeeee;">
                            
                            <?php ($cont = 1); ?>
                            <?php $__currentLoopData = $dias_mes_l; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dl): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if($dl == 'DO' && $dia_ac != $cont): ?>
                                    <td style="background: #5d6268; text-align: center"><?php echo e($dl); ?></td>
                                <?php elseif($dia_ac == $cont && (date('Y') == $anio_o || $anio_o == '')): ?>
                                    <td style="background: #17a2b8; text-align: center"><?php echo e($dl); ?></td>
                                <?php else: ?>
                                    <td style="text-align: center"><?php echo e($dl); ?></td>
                                <?php endif; ?>
                                <?php ($cont += 1); ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tr>
                        <tr>
                            <?php $__currentLoopData = $dias_mes_n; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dn): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <td style="text-align: center"><?php echo e($dn); ?></td>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tr>
                        <tr>
                            <?php ($contador = 1); ?>
                            <?php $__currentLoopData = $asistencia; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $a): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if($a == '*'): ?>
                                    <td title="ASISTENCIA"
                                        style="color: #2fa861; text-align: center; font-weight: bold">
                                        A</td>
                                <?php elseif($a == 'F'): ?>
                                    <td title="FALTA" style="color: #d81616; text-align: center; font-weight: bold">
                                        F
                                    </td>
                                <?php elseif($a == 'A.I.'): ?>
                                    <td title="(A.I.) - Ausencia injustificada." style="text-align: center">
                                        A.I
                                    </td>
                                <?php elseif($a == 'A.J'): ?>
                                    <td title="(A.J) - Ausencia justificada." style="text-align: center">
                                        A.J
                                    </td>
                                <?php elseif($a == 'AT'): ?>
                                    <td title="(AT) - Atraso." style="text-align: center">
                                        AT
                                    </td>
                                <?php elseif($a == 'C.T.'): ?>
                                    <td title="(C.T.) - Cambio de turno." style="text-align: center">
                                        C.T
                                    </td>
                                <?php elseif($a == 'D.E.J.'): ?>
                                    <td title="(D.E.J.) - Distribución excepcional de Jornada."
                                        style="text-align: center">
                                        D.E
                                    </td>
                                <?php elseif($a == 'H.E.'): ?>
                                    <td title="(H.E.) - Horas extraordinarias." style="text-align: center">
                                        H.E
                                    </td>
                                <?php elseif($a == 'J.O.'): ?>
                                    <td title="(J.O.) - Jornada ordinaria." style="text-align: center">
                                        J.O
                                    </td>
                                <?php elseif($a == 'L.M.'): ?>
                                    <td title="(L.M.) - Licencia médica." style="text-align: center">
                                        L.M
                                    </td>
                                <?php elseif($a == 'P.G.R'): ?>
                                    <td title="(P.G.R) - Permiso con goce de remuneraciones."
                                        style="text-align: center">
                                        P.G
                                    </td>
                                <?php elseif($a == 'PREN.'): ?>
                                    <td title="(PREN.) - Prenatal." style="text-align: center">
                                        PRE
                                    </td>
                                <?php elseif($a == 'P.S.G.R.'): ?>
                                    <td title="(P.S.G.R.) - Permiso sin goce de remuneraciones."
                                        style="text-align: center">
                                        P.S
                                    </td>
                                <?php elseif($a == 'POSTN'): ?>
                                    <td title="(POSTN) - Postnatal." style="text-align: center">
                                        POS
                                    </td>
                                <?php elseif($a == 'S.A'): ?>
                                    <td title="(S.A) - Salida anticipada." style="text-align: center">
                                        S.A
                                    </td>
                                <?php elseif($a == 'VAC'): ?>
                                    <td title="(VAC) - Vacaciones." style="text-align: center">
                                        VAC
                                    </td>
                                <?php else: ?>
                                    <td title="(D) - Descanso." style="text-align: center">
                                        D
                                    </td>
                                <?php endif; ?>
                                <?php if($contador % ($cant_dias + 1) == 0): ?>
                        </tr>
                        <tr>
                            <?php endif; ?>
                            <?php ($contador += 1); ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tr>
                    </table>
                </div>

            </div>

        </div>
    </div>
    <br>
    <table style="font-size: 0.85em">
        <tr>
            <td>
                <ul>
                    <li><b>A.I.:</b> AUSENCIA INJUSTIFICADA</li>
                    <li><b>A.J:</b> AUSENCIA JUSTIFICADA</li>
                    <li><b>AT:</b> ATRASO</li>
                    <li><b>C.T.:</b> CAMBIO DE TURNO</li>
                    <li><b>D.E.J.:</b> DISTRIBUCIÓN EXCEPCIONAL DE JORNADA</li>
                </ul>
            </td>
            <td>
                <ul>
                    <li><b>H.E.:</b> HORAS EXTRAORDINARIAS</li>
                    <li><b>J.O.:</b> JORNADA ORDINARIA</li>
                    <li><b>L.M.:</b> LICENCIA MÉDICA</li>
                    <li><b>P.G.R:</b> PERMISO CON GOCE DE REMUNERACIONES</li>
                    <li><b>PREN:</b> PRENATAL</li>
                </ul>
            </td>
            <td>
                <ul>
                    <li><b>P.S.G.R:</b> PERMISO SIN GOCE DE REMUNERACIONES</li>
                    <li><b>POSTN:</b> POSTNATAL</li>
                    <li><b>S.A:</b> SALIDA ANTICIPADA</li>
                    <li><b>VAC:</b> VACACIONES</li>
                </ul>
            </td>
        </tr>
    </table>
    <br>
    <table>
        <tr>
            <td colspan="17" style="background: #343a40; color: #eeeeee;">RESUMEN</td>
        </tr>
        <tr>
            <td align="center">ASISTENCIAS</td>
            <td align="center">FALTAS</td>
            <td align="center">A.I. </td>
            <td align="center">A.J </td>
            <td align="center">AT </td>
            <td align="center">C.T. </td>
            <td align="center">D.E.J. </td>
            <td align="center">H.E. </td>
            <td align="center">J.O. </td>
            <td align="center">L.M. </td>
            <td align="center">P.G.R </td>
            <td align="center">PREN </td>
            <td align="center">P.S.G.R </td>
            <td align="center">POSTN </td>
            <td align="center">S.A </td>
            <td align="center">VAC </td>
            <td align="center">D </td>
        </tr>
        <tr>
            <?php $__currentLoopData = $estadistica; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $e): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php ($est = explode('_', $e)); ?>
                <?php if($est[1] == 'Asistencias'): ?>
                    <td align="center"><i class="fas fa-check" style="margin-right: 10px; color: #2fa861;"></i>
                        <?php echo e($est[0]); ?>

                    </td>
                <?php elseif($est[1] == 'Faltas'): ?>
                    <td align="center"><i class="fas fa-times"
                            style="margin-right: 10px; color: #d81616;"></i><?php echo e($est[0]); ?>

                    </td>
                <?php elseif($est[1] == 'Ausencia injustificada.'): ?>
                    <td align="center">
                        <?php echo e($est[0]); ?>

                    </td>
                <?php elseif($est[1] == 'Ausencia justificada.'): ?>
                    <td align="center">
                        <?php echo e($est[0]); ?>

                    </td>
                <?php elseif($est[1] == 'Atraso.'): ?>
                    <td align="center">
                        <?php echo e($est[0]); ?>

                    </td>
                <?php elseif($est[1] == 'Cambio de turno.'): ?>
                    <td align="center">
                        <?php echo e($est[0]); ?>

                    </td>
                <?php elseif($est[1] == 'Distribución excepcional de Jornada.'): ?>
                    <td align="center">
                        <?php echo e($est[0]); ?>

                    </td>
                <?php elseif($est[1] == 'Horas extraordinarias.'): ?>
                    <td align="center">
                        <?php echo e($est[0]); ?>

                    </td>
                <?php elseif($est[1] == 'Jornada ordinaria.'): ?>
                    <td align="center">
                        <?php echo e($est[0]); ?>

                    </td>
                <?php elseif($est[1] == 'Licencia médica.'): ?>
                    <td align="center">
                        <?php echo e($est[0]); ?>

                    </td>
                <?php elseif($est[1] == 'Permiso con goce de remuneraciones.'): ?>
                    <td align="center">
                        <?php echo e($est[0]); ?>

                    </td>
                <?php elseif($est[1] == 'Prenatal.'): ?>
                    <td align="center">
                        <?php echo e($est[0]); ?>

                    </td>
                <?php elseif($est[1] == 'Permiso sin goce de remuneraciones.'): ?>
                    <td align="center">
                        <?php echo e($est[0]); ?>

                    </td>
                <?php elseif($est[1] == 'Postnatal.'): ?>
                    <td align="center">
                        <?php echo e($est[0]); ?>

                    </td>
                <?php elseif($est[1] == 'Salida anticipada.'): ?>
                    <td align="center">
                        <?php echo e($est[0]); ?>

                    </td>
                <?php elseif($est[1] == 'Vacaciones.'): ?>
                    <td align="center">
                        <?php echo e($est[0]); ?>

                    </td>
                <?php elseif($est[1] == 'Descanso.'): ?>
                    <td align="center">
                        <?php echo e($est[0]); ?>

                    </td>
                <?php else: ?>
                    <td style="font-weight: bold"><?php echo e($item); ?></td>
                <?php endif; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tr>

    </table>

</body>

</html>
<?php /**PATH C:\Cambios_Chi\sysasistencia_ng\resources\views/reporte/grafico/rgrafico.blade.php ENDPATH**/ ?>