<?php $__env->startSection('contenido'); ?>
    <style>
        .imagen img {
            background: rgb(232, 233, 232);
            width: 100px;
            height: auto;
        }

    </style>
    <?php echo Form::open(['url' => route('usuarios.update', $usuario->IdUsuario), 'method' => 'PUT', 'autocomplete' => 'off', 'files' => true]); ?>

    <div class="row mt-2">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    
                    <h5 class="modal-title" id="exampleModalLongTitle">Datos del Usuario</h5>
                    <input type="hidden" name="IdUsuario" value="<?php echo e($usuario->IdUsuario); ?>">

                </div>
                <div class="card-body">
                    <div class="row justify-content-center">
                        <div class="col-md-8">
                            <div class="row">
                                <div class="col-md-12">
                                    <?php if(count($errors) > 0): ?>
                                        <div class="alert alert-danger">
                                            <ul>
                                                <?php ($error_create = 0); ?>
                                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <li><?php echo e($error); ?></li>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </ul>

                                        </div>
                                    <?php endif; ?>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <div class="input-group mb-3">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="fas fa-pen"></i></span>
                                            </div>
                                            <input type="text"
                                                class="form-control <?php echo e($errors->has('Nombres') ? 'is-invalid' : ''); ?>"
                                                name="Nombres" placeholder="Número" value="<?php echo e($usuario->Nombres); ?>">
                                        </div>
                                        <?php if($errors->has('Nombres')): ?>
                                            <div>
                                                <span class="text-danger"><?php echo e($errors->first('Nombres')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                    </div>

                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <div class="input-group mb-3">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="fas fa-id-card"></i></span>
                                            </div>
                                            <input type="text"
                                                class="form-control <?php echo e($errors->has('NumDocumento') ? 'is-invalid' : ''); ?>"
                                                name="NumDocumento" placeholder="Nombre usuario anterior"
                                                value="<?php echo e($usuario->NumDocumento); ?>">
                                        </div>
                                        <?php if($errors->has('NumDocumento')): ?>
                                            <div>
                                                <span class="text-danger"><?php echo e($errors->first('NumDocumento')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <div class="input-group mb-3">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="fas fa-map-marker-alt"></i></span>
                                            </div>
                                            <input type="text" class="form-control" name="Direccion"
                                                placeholder="Dirección" value="<?php echo e($usuario->Direccion); ?>">
                                        </div>
                                        <?php if($errors->has('Direccion')): ?>
                                            <div>
                                                <span class="text-danger"><?php echo e($errors->first('Direccion')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                    </div>

                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <div class="input-group mb-3">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="fas fa-phone"></i></span>
                                            </div>
                                            <input type="text" class="form-control" name="TelefCel" placeholder="Teléfono"
                                                value="<?php echo e($usuario->TelefCel); ?>">
                                        </div>
                                        <?php if($errors->has('TelefCel')): ?>
                                            <div>
                                                <span class="text-danger"><?php echo e($errors->first('TelefCel')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                    </div>

                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <div class="input-group mb-3">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text">
                                                    <i class="far fa-envelope"></i>
                                                </span>
                                            </div>
                                            <input type="text" class="form-control" name="Correo" placeholder="Correo"
                                                value="<?php echo e($usuario->Correo); ?>" required>
                                        </div>
                                        <?php if($errors->has('Correo')): ?>
                                            <div>
                                                <span class="text-danger"><?php echo e($errors->first('Correo')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <div class="input-group mb-3">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text">
                                                    <i class="fas fa-key"></i>
                                                </span>
                                            </div>
                                            <input type="password" class="form-control" name="password"
                                                placeholder="Contraseña">
                                        </div>
                                        <?php if($errors->has('password')): ?>
                                            <div>
                                                <span class="text-danger"><?php echo e($errors->first('password')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <div class="input-group mb-3">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text">
                                                    <i class="fas fa-users"></i>
                                                </span>
                                            </div>
                                            <select class="form-control tipo" name="TipoUsuario" id="tipo">
                                                <option value="" hidden selected> Seleccionar </option>
                                                <?php $__currentLoopData = $tipo; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($item); ?>"<?php echo e($item == $usuario->TipoUsuario ? 'selected' : ''); ?>>
                                                        <?php echo e($item); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                        <?php if($errors->has('TipoUsuario')): ?>
                                            <div>
                                                <span class="text-danger"><?php echo e($errors->first('TipoUsuario')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                
                                <div class="col-md-12">
                                    <div id="camposAdicionales" class="row">
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <div class="input-group mb-3">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text"><i
                                                                class="fas fa-laptop-house"></i></span>
                                                    </div>
                                                    <select class="form-control" name="idBranch_office">
                                                        <?php $__currentLoopData = $branch_office; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($item->id); ?>"
                                                                <?php echo e($item->id == $usuario->idBranch_office ? 'selected' : ''); ?>>
                                                                <?php echo e($item->name); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </select>
                                                </div>
                                                <?php if($errors->has('idBranch_office')): ?>
                                                    <div>
                                                        <span
                                                            class="text-danger"><?php echo e($errors->first('idBranch_office')); ?></span>
                                                    </div>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <div class="input-group mb-3">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text"><i class="fas fa-clock"></i></span>
                                                    </div>
                                                    <select class="form-control" name="idSchedule">
                                                        <?php $__currentLoopData = $schedule; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($item->id); ?>"
                                                                <?php echo e($item->id == $usuario->idSchedule ? 'selected' : ''); ?>>
                                                                <?php echo e($item->name); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </select>
                                                </div>
                                                <?php if($errors->has('idSchedule')): ?>
                                                    <div>
                                                        <span
                                                            class="text-danger"><?php echo e($errors->first('idSchedule')); ?></span>
                                                    </div>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <div class="input-group mb-3">
                                                    <div class="input-group-prepend">
                                                        <span class="input-group-text"><i class="fas fa-dollar-sign"></i></span>
                                                    </div>
                                                    <input type="text" class="form-control pagoHora" name="pagoHora" placeholder="Pago por Hora" value="<?php echo e($usuario->pagoHora); ?>">
                                                </div>
                                                <?php if($errors->has('pagoHora')): ?>
                                                    <div>
                                                        <span
                                                            class="text-danger"><?php echo e($errors->first('pagoHora')); ?></span>
                                                    </div>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    </div>


                                </div>


                                <div class="col-md-12">
                                    <div class="form-group">
                                        <div class="input-group mb-3">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text">
                                                    <i class="fas fa-camera-retro"></i>
                                                </span>
                                            </div>
                                            <input type="file" class="form-control" id="Imagen2" name="foto">
                                        </div>
                                        <?php if($errors->has('foto')): ?>
                                            <div>
                                                <span class="text-danger"><?php echo e($errors->first('foto')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                    <div id="img2" class="imagen">
                                        <img src="<?php echo e(asset('Imagen/' . $usuario->foto)); ?>" width="100" height="100">
                                    </div>

                                </div>

                            </div>
                        </div>

                    </div>
                </div>
                <div class="card-footer text-center">
                    <div style="margin: 0px auto 0px auto">

                        <div style="margin: 0px auto 0px auto">
                            <a href="<?php echo e(route('usuarios.index')); ?>" type="button" class="btn btn-danger">Cancelar</a>
                            <button type="submit" class="btn btn-primary">Guardar</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <?php echo e(Form::close()); ?>

    <script>
        document.getElementById("Imagen2").onchange = function(e) {
            // Creamos el objeto de la clase FileReader
            let reader = new FileReader();

            // Leemos el archivo subido y se lo pasamos a nuestro fileReader
            reader.readAsDataURL(e.target.files[0]);

            // Le decimos que cuando este listo ejecute el código interno
            reader.onload = function() {
                let preview = document.getElementById('img2'),
                    image = document.createElement('img');
                console.log("mostrado")
                image.src = reader.result;

                preview.innerHTML = '';
                preview.append(image);
            };
        }

        if(document.getElementById('tipo').value == 'PERSONAL'){
            document.getElementById('camposAdicionales').style.display = 'block';
        }else{
            document.getElementById('camposAdicionales').style.display = 'none';
        }

        const selectElement = document.querySelector('.tipo');
        selectElement.addEventListener('change', (event) => {
            if (event.target.value.toString() === 'ADMINISTRADOR') {
                document.getElementById('camposAdicionales').style.display = 'none';
            } else {
                document.getElementById('camposAdicionales').style.display = 'block';
            }

        });
    </script>
    <?php $__env->startPush('scripts'); ?>
        <script>
            $('.pagoHora').on('input', function () {
                this.value = this.value.replace(/[^0-9,.]/g, '').replace(/,/g, '.');
            });
        </script>
    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/enlazase/public_html/horario/resources/views/acceso/usuario/edit.blade.php ENDPATH**/ ?>