<?php $__env->startSection('contenido'); ?>

    <?php echo Form::open([
        'url' => route('empresas.update', $empresa->idEmpresa),
        'method' => 'PUT',
        'autocomplete' => 'off',
        'files' => 'true',
    ]); ?>

    <div class="row mt-2">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    
                    <h5 class="modal-title" id="exampleModalLongTitle">Datos de la Empresa</h5>
                    <input type="hidden" name="id" value="<?php echo e($empresa->idEmpresa); ?>">
                </div>
                <div class="card-body">
                    <div class="row justify-content-center">
                        <div class="col-md-8">
                            <div class="row">
                                <div class="col-md-12">
                                    <div align="center" id="visual" height="100px" width="100px">
                                        <img src="<?php echo e(asset('logo/' . $empresa->Logo)); ?>" id="img" / width="100"
                                            height="100">

                                    </div>
                                    <div style="text-align: center;">
                                        <span class="btn btn-info btn-xs btn-file">
                                            <i class="fa fa-folder-open text-white" aria-hidden="true"></i>
                                            <input type="file" name="Logo" id="Logo"
                                                accept="image/png, .jpeg, .jpg, image/gif" onchange="mostrar()">
                                        </span>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="pagoHora">NOMBRE</label>
                                        <div class="input-group mb-3">

                                            <input type="text"
                                                class="form-control <?php echo e($errors->has('nomEmpresa') ? 'is-invalid' : ''); ?>"
                                                name="nomEmpresa" placeholder="Nombre de la Empresa"
                                                value="<?php echo e($empresa->nomEmpresa); ?>" required>
                                        </div>
                                        <?php if($errors->has('nomEmpresa')): ?>
                                            <div>
                                                <span class="text-danger"><?php echo e($errors->first('nomEmpresa')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                    </div>

                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="pagoHora">RUT</label>
                                        <div class="input-group mb-3">

                                            <input type="text" class="form-control input-number" name="rutEmpresa"
                                                value="<?php echo e($empresa->rutEmpresa); ?>" placeholder="Ejm: 30666957-5" maxlength="10" required>
                                        </div>
                                        <?php if($errors->has('rutEmpresa')): ?>
                                            <div>
                                                <span class="text-danger"><?php echo e($errors->first('rutEmpresa')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label for="pagoHora">DIRECCIÓN</label>
                                        <div class="input-group mb-3">

                                            <input type="text" class="form-control" name="Direccion"
                                                value="<?php echo e($empresa->Direccion); ?>">
                                        </div>
                                        <?php if($errors->has('Direccion')): ?>
                                            <div>
                                                <span class="text-danger"><?php echo e($errors->first('Direccion')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="col-lg-12">
                                    <div class="form-group">
                                        <label for="pagoHora">APERTURA DEL SISTEMA</label>
                                        <div class="input-group">
                                            <input type="time" name="AperturaSistema" id="AperturaSistema"
                                                <?php if(old('AperturaSistema') != ''): ?> value="<?php echo e(old('AperturaSistema')); ?>"
                                            <?php else: ?>
                                                value="<?php echo e($empresa->AperturaSistema); ?>" <?php endif; ?>
                                                class="form-control" placeholder="Ejm: 10:00:00" required>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-12" style="display: none">
                                    <div class="form-group">
                                        <label for="pagoHora">DIAS HABILITADOS</label>
                                        <?php ($dias_hab = explode('_', $empresa->diasHabilitados)); ?>
                                        <?php ($dias = ['LU', 'MA', 'MI', 'JU', 'VI', 'SÁ', 'DO']); ?>
                                        <div class="input-group">
                                            <?php $__currentLoopData = $dias; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php ($aux = false); ?>
                                                <?php $__currentLoopData = $dias_hab; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item2): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php if($item == $item2): ?>
                                                        <?php ($aux = true); ?>
                                                    <?php endif; ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php echo e($item); ?>

                                                <?php if($aux): ?>
                                                    <input type="checkbox" id="cbox1" name="diasLaborados[]"
                                                        value="<?php echo e($item); ?>" checked
                                                        style="margin-right: 15px; margin-top: 5px; margin-right: 10px">
                                                <?php else: ?>
                                                    <input type="checkbox" id="cbox1" name="diasLaborados[]"
                                                        value="<?php echo e($item); ?>"
                                                        style="margin-right: 15px; margin-top: 5px; margin-right: 10px">
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </div>
                                    </div>
                                </div>
                                
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card-footer text-center">
                    <div style="margin: 0px auto 0px auto">

                        <div style="margin: 0px auto 0px auto">
                            <a href="<?php echo e(route('empresas.index')); ?>" type="button" class="btn btn-danger">Cancelar</a>
                            <button type="submit" class="btn btn-primary">Guardar</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <?php echo e(Form::close()); ?>


    <script type="text/javascript">
         $('.input-number').on('input', function() {
                this.value = this.value.replace(/[^0-9,-]/g, '');
            });
        function mostrar() {
            var archivo = document.getElementById("Logo").files[0];
            var reader = new FileReader();
            if (archivo) {
                reader.readAsDataURL(archivo);
                reader.onloadend = function() {
                    document.getElementById("img").src = reader.result;
                    document.getElementById("nombre_imagen").value = archivo.name;
                }
            } else {
                document.getElementById("img").src = "";
                document.getElementById("nombre_imagen").value = "";
            }
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Cambios_Chi\sysasistencia_ng\resources\views/control/empresas/edit.blade.php ENDPATH**/ ?>