<?php use App\Http\Controllers\InformeController; ?>
<?php use App\Http\Controllers\RegistroController; ?>

<?php $__env->startSection('contenido'); ?>
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h3>Reporte Mensual</h3>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>
    <div class="row">
        <div class="col-12">
            <div class="card">
                <?php echo $__env->make('reporte.mensual.search', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                <div class="card-body table-responsive p-0">
                    <table class="table table-hover text-nowrap">
                        <thead class="htable" style="background: #eaf3fa; color: #12446b">
                            
                            <th>N°</th>
                            <th>Fecha Entrada</th>
                            <th>Hora Entrada</th>
                            <th> <span title="Ubicación Entrada">Ubic. Entrada</span> </th>
                            <th>Hora Salida</th>
                            <th> <span title="Ubicación Salida">Ubic. Salida</span> </th>
                            <th>Tardanza</th>
                            <th>Tiempo Laborado</th>
                        </thead>
                    <?php ($asistencia = 0); ?>
                    <?php ($contador = 0); ?>
                    <?php ($correcto = 0); ?>
                    <?php ($correcto2 = 0); ?>
                    <?php ($total_demora = 0); ?>
                    <?php ($horas_laboradas = 0); ?>
                    <?php ($incorrecto = 0); ?>
                    <?php ($incorrecto2 = 0); ?>
                    <?php $__currentLoopData = $array_fechas; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php ($contador += 1); ?>
                    <?php ($valor_item = explode('_', $item)); ?>
                        <?php if(date('Y-m-d', strtotime($valor_item[0]))== date('Y-m-d', strtotime($fecha))): ?>
                        <tr  style="background: #d0f0f5">
                        <?php else: ?>
                        <tr >
                        <?php endif; ?>
                            <td ><?php echo e($contador); ?></td>
                            <td><?php echo e(InformeController::fechaCastellano($valor_item[0])); ?></td>
                            <td align="center">
                                <?php if($valor_item[1] != 0): ?>
                                    <?php echo e($valor_item[1]); ?>

                                    <?php ($asistencia += 1); ?>
                                <?php else: ?>
                                    ...
                                <?php endif; ?>

                            </td>
                            <td align="center">
                                <?php if(!empty($valor_item[2])): ?>

                                    <?php if($valor_item[2] == 'CORRECTO'): ?>
                                        <span class="badge bg-success" title="Ubicación Correcta">
                                        <a href="//www.google.com/maps/search/<?php echo e($valor_item[5]); ?>,<?php echo e($valor_item[6]); ?>"
                                            target="_black">
                                            <i class="fas fa-check"></i>
                                        </a>
                                        </span>
                                        <?php ($correcto +=1); ?>
                                    <?php else: ?>
                                        <span class="badge bg-danger" title="Ubicación se encuentra fuera de rango.">
                                        <a href="//www.google.com/maps/search/<?php echo e($valor_item[5]); ?>,<?php echo e($valor_item[6]); ?>"
                                            target="_black">
                                            <i  style="padding: 0 3px 0 3px" class="fas fa-exclamation"></i>
                                        </a>
                                        </span>
                                        <?php ($incorrecto +=1); ?>
                                    <?php endif; ?>
                                <?php else: ?>
                                    ...
                                <?php endif; ?>
                            </td>
                            <td >
                                <?php if(!empty($valor_item[3])): ?>
                                    <?php echo e($valor_item[3]); ?>

                                <?php else: ?>
                                    ...
                                <?php endif; ?>
                            </td>
                            <td align="center">
                                <?php if(!empty($valor_item[3])): ?>
                                    <?php if($valor_item[4] == 'CORRECTO'): ?>
                                        <span class="badge bg-success" title="Ubicación Correcta">
                                        <a href="//www.google.com/maps/search/<?php echo e($valor_item[7]); ?>,<?php echo e($valor_item[8]); ?>"
                                            target="_black"><i class="fas fa-check"></i></a>
                                            </span>
                                        <?php ($correcto2 +=1); ?>
                                    <?php else: ?>
                                        <span class="badge bg-danger" title="Ubicación se encuentra fuera de rango.">
                                            <a href="//www.google.com/maps/search/<?php echo e($valor_item[7]); ?>,<?php echo e($valor_item[8]); ?>"
                                            target="_black">
                                            <i  style="padding: 0 3px 0 3px" class="fas fa-exclamation"></i>
                                            </a>
                                        </span>
                                        <?php ($incorrecto2 +=1); ?>
                                    <?php endif; ?>
                                <?php else: ?>
                                    ...
                                <?php endif; ?>
                            </td>
                            <td >
                                <?php if($valor_item[1] > $empresa->HoraEntrada && !empty($valor_item[1])): ?>
                                    <span class="text-danger"> <?php echo e(RegistroController::RestarHoras($valor_item[1], $empresa->HoraEntrada)); ?></span>
                                    <?php ($m = explode(":", RegistroController::RestarHoras($valor_item[1], $empresa->HoraEntrada))); ?>
                                    <?php ($total_demora += ($m[0] * 3600) + ($m[1] * 60) + $m[2]); ?>
                                <?php else: ?>
                                    <span title="Este registro no cuenta con una Hora de Salida. (SIN HORA DE SALIDA)">...</span>
                                 <?php endif; ?>
                            </td>
                            <td>
                                <?php if($valor_item[3] != 0): ?>
                                        <?php echo e(RegistroController::RestarHoras($valor_item[1], $valor_item[3])); ?>

                                        <?php ($m2 = explode(":", RegistroController::RestarHoras($valor_item[1], $valor_item[3]))); ?>
                                        <?php ($horas_laboradas += ($m2[0] * 3600) + ($m2[1] * 60) + $m2[2]); ?>
                                    <?php else: ?>
                                    <span title="Este registro no cuenta con una Hora de Salida. (SIN HORA DE SALIDA)">...</span>
                                 <?php endif; ?>
                            </td>
                            
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td colspan="3"><b><?php echo e($asistencia); ?> registros encontrados en este mes.</b></td>
                            <td align="center"><span class="badge bg-success" title="<?php echo e($correcto); ?> Ubicación(es) Correcta(s)">
                                <?php echo e($correcto); ?>

                                <i class="fas fa-check"></i></span>
                                 / <span class="badge bg-danger" title="<?php echo e($incorrecto); ?> Ubicación(es) Incorrecta(s) 'Fuera de Rango'">
                                    <?php echo e($incorrecto); ?>

                                <i  style="padding: 0 3px 0 3px" class="fas fa-exclamation"></i>
                                </span>
                            </td>
                            <td></td>
                            <td>
                                <span class="badge bg-success" title="<?php echo e($correcto2); ?> Ubicación(es) Correcta(s)">
                                    <?php echo e($correcto2); ?>

                                    <i class="fas fa-check"></i></span>
                                / <span class="badge bg-danger" title="<?php echo e($incorrecto2); ?> Ubicación(es) Incorrecta(s) 'Fuera de Rango'">
                                        <?php echo e($incorrecto2); ?>

                                    <i  style="padding: 0 3px 0 3px" class="fas fa-exclamation"></i>
                                </span>

                            </td>
                            <td class="text-danger"><b>
                                <?php echo e(InformeController::conversor_segundos  ($total_demora)); ?></b></td>
                            <td class="text-primary"><b>
                                <?php echo e(InformeController::conversor_segundos  ($horas_laboradas)); ?></b></td>
                        </tr>
                    </table>
                </div>
            </div>
            <!-- /.card -->
        </div>
    </div>
    

<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Cambios_Chi\sysasistencia_nelson\resources\views/reporte/mensual/index.blade.php ENDPATH**/ ?>