<?php use App\Http\Controllers\InformeController; ?>
<?php use App\Http\Controllers\RegistroController; ?>

<?php $__env->startSection('contenido'); ?>
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h3>Informe General de Asistencias</h3>
                </div>
                
            </div>
        </div><!-- /.container-fluid -->
    </section>
    <div class="row">
        <div class="col-12">
            <div class="card">
                    <?php echo $__env->make('asistencia.informe_global.search', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                <!-- /.card-header -->
                <div class="card-body table-responsive p-0">
                    <table class="table table-hover text-nowrap">
                        <thead style="background: #eaf3fa; color: #12446b">
                            <tr>
                                
                            <?php if($searchText3 == '' || $searchText3 == 'TODO'): ?>
                                <th>Personal</th>
                            <?php endif; ?>
                                <th>Fecha Entrada</th>
                                <th title="Hora de Entrada" style="text-align: center">H. Entrada</th>
                                <th title="Ubicación de Entrada">U. Entrada</th>
                                <th title="Hora de Salida" style="text-align: center">H. Salida</th>
                                <th title="Ubicación de Salida">U. Salida </th>
                                <th style="text-align: center">Tardanza</th>
                                <th style="text-align: center">Tiempo Laborado</th>
                                <th></th>

                            </tr>
                        </thead>
                        <tbody>

                            <?php ($contador = 1); ?>
                            <?php $__currentLoopData = $informe; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                            <?php if($searchText3 == '' || $searchText3 == 'TODO'): ?>
                                <td>
                                    <?php ($n = explode(" ", strtoupper($item->Nombres))); ?>
                                    <?php if(count($n) > 2): ?>
                                        <?php echo e($n[0]); ?> <?php echo e($n[1]); ?>

                                    <?php else: ?>
                                        <?php echo e($item->Nombres); ?>

                                    <?php endif; ?>
                                </td>
                            <?php endif; ?>
                                <td>
                                    <?php echo e(InformeController::fechaCastellano($item->FechaRegistro)); ?>

                                    <?php if(isset($item->EncargadoUpdt)): ?>
                                        <span title="Registro Modificado por el Administrador" style="
                                        color: #f07603; font-weight: bold; ">
                                        M</span>
                                    <?php endif; ?>
                                </td>
                                <td align="center"><?php echo e($item->HoraEntrada); ?> </td>
                                <td align="center">
                                    <?php if($item->Consideracion == 'CORRECTO'): ?>
                                    <span class="badge bg-success" title="Ubicación Correcta">
                                    <a href="//www.google.com/maps/search/<?php echo e($item->LatitudEntrada); ?>,<?php echo e($item->LongitudEntrada); ?>"
                                    target="_black"><i class="fas fa-check"></i></a></span>
                                    <?php else: ?>
                                    <span class="badge bg-danger" title="Ubicación Correcta">
                                    <a href="//www.google.com/maps/search/<?php echo e($item->LatitudEntrada); ?>,<?php echo e($item->LongitudEntrada); ?>"
                                    target="_black"><i  style="padding: 0 3px 0 3px" class="fas fa-exclamation"></i></a></span>
                                    <?php endif; ?>
                                </td>

                                <td align="center">
                                    <?php if(isset($item->HoraSalida)): ?>
                                        <?php echo e($item->HoraSalida); ?>

                                    <?php else: ?>
                                        ...
                                    <?php endif; ?>
                                </td>
                                <td align="center">
                                    <?php if(isset($item->Consideracion2)): ?>
                                        <?php if($item->Consideracion2 == 'CORRECTO'): ?>
                                        <span class="badge bg-success" title="Ubicación Correcta">
                                        <a href="//www.google.com/maps/search/<?php echo e($item->LatitudSalida); ?>,<?php echo e($item->LongitudSalida); ?>"
                                        target="_black"><i class="fas fa-check"></i></a></span>
                                        <?php else: ?>
                                        <span class="badge bg-danger" title="Ubicación Correcta">
                                        <a href="//www.google.com/maps/search/<?php echo e($item->LatitudSalida); ?>,<?php echo e($item->LongitudSalida); ?>"
                                        target="_black"><i  style="padding: 0 3px 0 3px" class="fas fa-exclamation"></i></a></span>
                                        <?php endif; ?>
                                    <?php else: ?>
                                    ...
                                    <?php endif; ?>
                                </td>
                                <td align="center">
                                    <?php if($item->HoraEntrada <= $empresa->HoraEntrada): ?>
                                        <span  title="En esta fecha no llegaste tarde. (SIN TARDANZA)">
                                        ...</span>
                                    <?php else: ?>
                                    <span  class="text-danger" title="La tardanza se calcula a partir de la hora de entrada (<?php echo e($empresa->HoraEntrada); ?>) establecida por el Administrador."><?php echo e(RegistroController::RestarHoras($item->HoraEntrada, $empresa->HoraEntrada)); ?></span>
                                    <?php endif; ?>
                                </td>
                                <td align="center">
                                    <?php if(isset($item->HoraSalida)): ?>
                                        <?php echo e(RegistroController::RestarHoras($item->HoraEntrada, $item->HoraSalida)); ?>

                                    <?php else: ?>
                                    <span title="Este registro no cuenta con una Hora de Salida. (SIN HORA DE SALIDA)">...</span>
                                    <?php endif; ?>

                                </td>
                                <td style="text-align: center">

                                    <a href="<?php echo e(route('detalle.pdf',$item->IdRegistro)); ?>" target="_blank"
                                        class="btn btn-default btn-sm" >
                                        <i class="fa fa-print" aria-hidden="true"></i></a>
                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        </tbody>
                    </table>
                </div>
                <?php echo e($informe->appends(['searchText' => $searchText, 'searchText2' => $searchText2, 'searchText3' => $searchText3])); ?>

                <!-- /.card-body -->
            </div>
            <!-- /.card -->
        </div>
    </div>
    

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Cambios_Chi\sysasistencia_nelson\resources\views/asistencia/informe_global/index.blade.php ENDPATH**/ ?>