<?php $__env->startSection('contenido'); ?>

    <?php echo Form::open(['url' => route('branchoffice.update', $branchOffice->id), 'method' => 'PUT', 'autocomplete' => 'off']); ?>

    <div class="row mt-2">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    
                    <h5 class="modal-title" id="exampleModalLongTitle">Datos del Sucursal</h5>
                    <input type="hidden" name="id" value="<?php echo e($branchOffice->id); ?>">
                </div>
                <div class="card-body">
                    <div class="row justify-content-center">
                        <div class="col-md-8">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <div class="input-group mb-3">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="fas fa-pen"></i></span>
                                            </div>
                                            <input type="text" class="form-control <?php echo e($errors->has('name') ? 'is-invalid' : ''); ?>"
                                                name="name" placeholder="Nombre del Horario" value="<?php echo e($branchOffice->name); ?>" required>
                                        </div>
                                        <?php if($errors->has('name')): ?>
                                            <div>
                                                <span class="text-danger"><?php echo e($errors->first('name')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                    </div>

                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <div class="input-group mb-3">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="fas fa-map-marker-alt"></i></span>
                                            </div>
                                            <input type="text" class="form-control <?php echo e($errors->has('ubicacion') ? 'is-invalid' : ''); ?>"
                                                name="ubicacion" value="<?php echo e($branchOffice->latitude); ?>, <?php echo e($branchOffice->longitude); ?>" required>
                                        </div>
                                        <?php if($errors->has('ubicacion')): ?>
                                            <div>
                                                <span class="text-danger"><?php echo e($errors->first('ubicacion')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <div class="input-group mb-3">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="fas fa-map-marked"></i></span>
                                            </div>
                                            <input type="text" class="form-control" name="radius" value="<?php echo e($branchOffice->radius); ?>" required>
                                        </div>
                                        <?php if($errors->has('radius')): ?>
                                            <div>
                                                <span class="text-danger"><?php echo e($errors->first('radius')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <div class="input-group mb-3">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="fas fa-location-arrow"></i></span>
                                            </div>
                                            <input type="text" class="form-control" name="address" value="<?php echo e($branchOffice->address); ?>">
                                        </div>
                                        <?php if($errors->has('address')): ?>
                                            <div>
                                                <span class="text-danger"><?php echo e($errors->first('address')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card-footer text-center">
                    <div style="margin: 0px auto 0px auto">

                        <div style="margin: 0px auto 0px auto">
                            <a href="<?php echo e(route('branchoffice.index')); ?>" type="button" class="btn btn-danger">Cancelar</a>
                            <button type="submit" class="btn btn-primary">Guardar</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <?php echo e(Form::close()); ?>


<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Cambios_Chi\sysasistencia_nelsonGeneral\resources\views/acceso/branchoffice/edit.blade.php ENDPATH**/ ?>