<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Reporte Gráfico Personal</title>
    <style>
        body {
            font-family: Arial, Helvetica, sans-serif;
            font-size: 0.90em;
        }

        table {
            margin-left: auto;
            margin-right: auto;
            border-collapse: collapse;
            border-color: rgb(0, 0, 0);
            width: 100%;
        }

        td {
            padding: 3px;
            border: 1px solid #000;
        }

        /* table td {
            padding: 8px;
        } */
    </style>
</head>

<body>
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h3>Reporte Gráfico: {{ $mes_ac }} - {{ $anio_o }} </h3>
                    <p>{{ $usuario }}</p>
                </div>

            </div>
        </div><!-- /.container-fluid -->
    </section>

    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">

            <div class="card">
                <div class="card-body table-responsive p-0">
                    <table class="text-nowrap">

                        <tr style="background: #343a40; color: #eeeeee;">
                            {{-- <td>PERSONAL</td> --}}
                            @php($cont = 1)
                            @foreach ($dias_mes_l as $dl)
                                @if ($dl == 'DO' && $dia_ac != $cont)
                                    <td style="background: #5d6268; text-align: center">{{ $dl }}</td>
                                @elseif($dia_ac == $cont && (date('Y') == $anio_o || $anio_o == ''))
                                    <td style="background: #17a2b8; text-align: center">{{ $dl }}</td>
                                @else
                                    <td style="text-align: center">{{ $dl }}</td>
                                @endif
                                @php($cont += 1)
                            @endforeach
                        </tr>
                        <tr>
                            @foreach ($dias_mes_n as $dn)
                                <td style="text-align: center">{{ $dn }}</td>
                            @endforeach
                        </tr>
                        <tr>
                            @php($contador = 1)
                            @foreach ($asistencia as $a)
                                @if ($a == '*')
                                    <td title="ASISTENCIA"
                                        style="color: #2fa861; text-align: center; font-weight: bold">
                                        A</td>
                                @elseif($a == 'F')
                                    <td title="FALTA" style="color: #d81616; text-align: center; font-weight: bold">
                                        F
                                    </td>
                                @elseif($a == 'A.I.')
                                    <td title="(A.I.) - Ausencia injustificada." style="text-align: center">
                                        A.I
                                    </td>
                                @elseif($a == 'A.J')
                                    <td title="(A.J) - Ausencia justificada." style="text-align: center">
                                        A.J
                                    </td>
                                @elseif($a == 'AT')
                                    <td title="(AT) - Atraso." style="text-align: center">
                                        AT
                                    </td>
                                @elseif($a == 'C.T.')
                                    <td title="(C.T.) - Cambio de turno." style="text-align: center">
                                        C.T
                                    </td>
                                @elseif($a == 'D.E.J.')
                                    <td title="(D.E.J.) - Distribución excepcional de Jornada."
                                        style="text-align: center">
                                        D.E
                                    </td>
                                @elseif($a == 'H.E.')
                                    <td title="(H.E.) - Horas extraordinarias." style="text-align: center">
                                        H.E
                                    </td>
                                @elseif($a == 'J.O.')
                                    <td title="(J.O.) - Jornada ordinaria." style="text-align: center">
                                        J.O
                                    </td>
                                @elseif($a == 'L.M.')
                                    <td title="(L.M.) - Licencia médica." style="text-align: center">
                                        L.M
                                    </td>
                                @elseif($a == 'P.G.R')
                                    <td title="(P.G.R) - Permiso con goce de remuneraciones."
                                        style="text-align: center">
                                        P.G
                                    </td>
                                @elseif($a == 'PREN.')
                                    <td title="(PREN.) - Prenatal." style="text-align: center">
                                        PRE
                                    </td>
                                @elseif($a == 'P.S.G.R.')
                                    <td title="(P.S.G.R.) - Permiso sin goce de remuneraciones."
                                        style="text-align: center">
                                        P.S
                                    </td>
                                @elseif($a == 'POSTN')
                                    <td title="(POSTN) - Postnatal." style="text-align: center">
                                        POS
                                    </td>
                                @elseif($a == 'S.A')
                                    <td title="(S.A) - Salida anticipada." style="text-align: center">
                                        S.A
                                    </td>
                                @elseif($a == 'VAC')
                                    <td title="(VAC) - Vacaciones." style="text-align: center">
                                        VAC
                                    </td>
                                @else
                                    <td title="(D) - Descanso." style="text-align: center">
                                        D
                                    </td>
                                @endif
                                @if ($contador % ($cant_dias + 1) == 0)
                        </tr>
                        <tr>
                            @endif
                            @php($contador += 1)
                            @endforeach
                        </tr>
                    </table>
                </div>

            </div>

        </div>
    </div>
    <br>
    <table style="font-size: 0.85em">
        <tr>
            <td>
                <ul>
                    <li><b>A.I.:</b> AUSENCIA INJUSTIFICADA</li>
                    <li><b>A.J:</b> AUSENCIA JUSTIFICADA</li>
                    <li><b>AT:</b> ATRASO</li>
                    <li><b>C.T.:</b> CAMBIO DE TURNO</li>
                    <li><b>D.E.J.:</b> DISTRIBUCIÓN EXCEPCIONAL DE JORNADA</li>
                </ul>
            </td>
            <td>
                <ul>
                    <li><b>H.E.:</b> HORAS EXTRAORDINARIAS</li>
                    <li><b>J.O.:</b> JORNADA ORDINARIA</li>
                    <li><b>L.M.:</b> LICENCIA MÉDICA</li>
                    <li><b>P.G.R:</b> PERMISO CON GOCE DE REMUNERACIONES</li>
                    <li><b>PREN:</b> PRENATAL</li>
                </ul>
            </td>
            <td>
                <ul>
                    <li><b>P.S.G.R:</b> PERMISO SIN GOCE DE REMUNERACIONES</li>
                    <li><b>POSTN:</b> POSTNATAL</li>
                    <li><b>S.A:</b> SALIDA ANTICIPADA</li>
                    <li><b>VAC:</b> VACACIONES</li>
                </ul>
            </td>
        </tr>
    </table>
    <br>
    <table>
        <tr>
            <td colspan="17" style="background: #343a40; color: #eeeeee;">RESUMEN</td>
        </tr>
        <tr>
            <td align="center">ASISTENCIAS</td>
            <td align="center">FALTAS</td>
            <td align="center">A.I. </td>
            <td align="center">A.J </td>
            <td align="center">AT </td>
            <td align="center">C.T. </td>
            <td align="center">D.E.J. </td>
            <td align="center">H.E. </td>
            <td align="center">J.O. </td>
            <td align="center">L.M. </td>
            <td align="center">P.G.R </td>
            <td align="center">PREN </td>
            <td align="center">P.S.G.R </td>
            <td align="center">POSTN </td>
            <td align="center">S.A </td>
            <td align="center">VAC </td>
            <td align="center">D </td>
        </tr>
        <tr>
            @foreach ($estadistica as $e)
                @php($est = explode('_', $e))
                @if ($est[1] == 'Asistencias')
                    <td align="center"><i class="fas fa-check" style="margin-right: 10px; color: #2fa861;"></i>
                        {{ $est[0] }}
                    </td>
                @elseif($est[1] == 'Faltas')
                    <td align="center"><i class="fas fa-times"
                            style="margin-right: 10px; color: #d81616;"></i>{{ $est[0] }}
                    </td>
                @elseif($est[1] == 'Ausencia injustificada.')
                    <td align="center">
                        {{ $est[0] }}
                    </td>
                @elseif($est[1] == 'Ausencia justificada.')
                    <td align="center">
                        {{ $est[0] }}
                    </td>
                @elseif($est[1] == 'Atraso.')
                    <td align="center">
                        {{ $est[0] }}
                    </td>
                @elseif($est[1] == 'Cambio de turno.')
                    <td align="center">
                        {{ $est[0] }}
                    </td>
                @elseif($est[1] == 'Distribución excepcional de Jornada.')
                    <td align="center">
                        {{ $est[0] }}
                    </td>
                @elseif($est[1] == 'Horas extraordinarias.')
                    <td align="center">
                        {{ $est[0] }}
                    </td>
                @elseif($est[1] == 'Jornada ordinaria.')
                    <td align="center">
                        {{ $est[0] }}
                    </td>
                @elseif($est[1] == 'Licencia médica.')
                    <td align="center">
                        {{ $est[0] }}
                    </td>
                @elseif($est[1] == 'Permiso con goce de remuneraciones.')
                    <td align="center">
                        {{ $est[0] }}
                    </td>
                @elseif($est[1] == 'Prenatal.')
                    <td align="center">
                        {{ $est[0] }}
                    </td>
                @elseif($est[1] == 'Permiso sin goce de remuneraciones.')
                    <td align="center">
                        {{ $est[0] }}
                    </td>
                @elseif($est[1] == 'Postnatal.')
                    <td align="center">
                        {{ $est[0] }}
                    </td>
                @elseif($est[1] == 'Salida anticipada.')
                    <td align="center">
                        {{ $est[0] }}
                    </td>
                @elseif($est[1] == 'Vacaciones.')
                    <td align="center">
                        {{ $est[0] }}
                    </td>
                @elseif($est[1] == 'Descanso.')
                    <td align="center">
                        {{ $est[0] }}
                    </td>
                @else
                    <td style="font-weight: bold">{{ $item }}</td>
                @endif
            @endforeach
        </tr>

    </table>

</body>

</html>
