<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <title>Reporte Gráfico</title>
    <style>
        body{
        font-family: Arial, Helvetica, sans-serif;
        /* font-size: 0.71em; */
        }
        table {
            margin-left: auto;
            margin-right: auto;
            border-collapse: collapse;
            border-color: rgb(0, 0, 0);
            width: 100%;
        }
        td {
        padding: 3px;
        border: 1px solid rgb(117, 116, 116);
        }
        .data{
        float: right;
        margin: 2% 0% 0% 0%;
        }

    </style>
</head>
<body>
    <div>
        <img src="../public/logo/<?php echo e($empresa->Logo); ?>" alt="" width="80" height="80">
        <p class="data">
            <?php echo e($empresa->nomEmpresa); ?> <br>
            <?php echo e($empresa->Direccion); ?>

        </p>
    </div>
    <div class="encabezado" style="background: #163864; color: #ffffff;
    text-align: center; padding: 10px; margin-bottom: 15px">
        <span>Informe Gráfico <?php echo e($query); ?> del <?php echo e($query2); ?> </span>
    </div>
    <table>
        <tr style="background: #343a40; color: #eeeeee;">
            <td>PERSONAL</td>
            <?php ($cont = 1); ?>
            <?php $__currentLoopData = $dias_mes_l; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dl): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if($dl == 'DO' && $dia_ac != $cont): ?>
                <td style="background: #5d6268; text-align: center"><?php echo e($dl); ?></td>
                <?php elseif($dia_ac == $cont && (date('Y') == $anio_o || $anio_o == '')): ?>
                <td style="background: #17a2b8; text-align: center"><?php echo e($dl); ?></td>
                <?php else: ?>
                <td style="text-align: center"><?php echo e($dl); ?></td>
                <?php endif; ?>
                <?php ($cont += 1); ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tr>
        <tr>
            <td></td>
        <?php $__currentLoopData = $dias_mes_n; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dn): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <td style="text-align: center"><?php echo e($dn); ?></td>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tr>
        <tr>
            <?php ($contador = 1); ?>
            <?php ($t = count($asistencia)); ?>
            <?php $__currentLoopData = $asistencia; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $a): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php ($a = explode('_', $a)); ?>
                <?php if($a[0] == '*'): ?>
                <td title="ASISTENCIA" style="color: #128541; text-align: center; font-weight: bold">
                    A
                    <?php if($a[2] == "si"): ?>
                        <span style="color: #f6920f">*</span>
                    <?php endif; ?>
                </td>
                <?php elseif($a[0] == 'F'): ?>
                <td title="FALTA" style="color: #d81616; text-align: center; font-weight: bold">
                    F
                </td>
                <?php elseif($a[0] == 'T'): ?>
                <td title="TARDE" style="color: #17a2b8; text-align: center; font-weight: bold">
                    T
                    <?php if($a[2] == "si"): ?>
                        <span style="color: #f6920f">*</span>
                    <?php endif; ?>
                </td>
                <?php else: ?>
                <td  style="color: #292d2e; font-weight: bold">
                    <?php echo e($a[0]); ?>

                </td>
                <?php endif; ?>
                <?php if((($contador) % ($cant_dias+1)) == 0): ?>
                </tr>
                <tr>
                <?php endif; ?>
                <?php ($contador +=1); ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <td colspan="<?php echo e($cant_dias+1); ?>" style="border: 1px 0px 0px 0px solid rgb(117, 116, 116);"></td>

        </tr>
    </table>

    <br>
    <?php ($c = 1); ?>
    <table>
        <tr style="background: #343a40; color: #eeeeee;">
            <td colspan="4">RESUMEN</td>
        </tr>
        <tr>
            <td>PERSONAL</td>
            <td align="center">ASISTENCIAS</td>
            <td align="center">TARDANZAS</td>
            <td align="center">FALTAS</td>
        </tr>
        <tr>
    <?php $__currentLoopData = $estadistica; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php ($est = explode(' ', $item)); ?>
        <?php if(count($est) >= 2): ?>
            <?php if($est[1] == 'Asistencias'): ?>
                <td align="center"><i class="fas fa-check" style="margin-right: 10px;
                    color: #2fa861;"></i>
                        <?php echo e($est[0]); ?>

                </td>
            <?php elseif($est[1] == 'Tardanza'): ?>
                <td align="center"><span style="margin-right: 5px; font-weight: bold;
                    color: #17a2b8;">T</span>
                    <?php echo e($est[0]); ?>

                </td>
            <?php elseif($est[1] == 'Faltas'): ?>
                <td align="center"><i class="fas fa-times" style="margin-right: 10px;
                    color: #d81616;"></i><?php echo e($est[0]); ?></td>
            <?php else: ?>
                <td style="font-weight: bold"><?php echo e($item); ?></td>
            <?php endif; ?>
        <?php else: ?>
            <td style="font-weight: bold"><?php echo e($item); ?></td>
        <?php endif; ?>
        <?php if($c % 4 == 0): ?>
        </tr>
        <tr>
        <?php endif; ?>
        <?php ($c += 1); ?>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <td colspan="4" style="border: 1px 0px 0px 0px solid rgb(117, 116, 116);">
            </td>
        </tr>
    </table>
</body>
</html>
<?php /**PATH C:\SysWeb\sysasistencia\resources\views/dashboard-administrador/reporte.blade.php ENDPATH**/ ?>