<div class="modal fade modal-slide-in-center" aria-hidden="true" role="dialog" tabindex="-1" id="modal-add">
    <?php echo Form::open(array('url'=>'acceso/schedule','method'=>'POST','autocomplete'=>'off')); ?>

    <?php echo Form::token(); ?>

    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header bg-info">
                <h5 class="modal-title" id="exampleModalLongTitle">Nuevo Horario</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <label for="">Nombre del Horario</label>
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text"><i class="far fa-calendar"></i></span>
                    </div>
                    <input type="text" class="form-control" name="name" id="name" placeholder="Nombre del Horario" value="<?php echo e(old('name')); ?>" required>
                </div>
                <label for="">Hora de Entrada</label>
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text"><i class="far fa-clock"></i></span>
                    </div>
                    <input type="time" class="form-control" name="checkinTime" value="<?php echo e(old('checkinTime')); ?>" required>
                </div>
                <label for="">Hora de Salida</label>
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text"><i class="fas fa-clock"></i></span>
                    </div>
                    <input type="time" class="form-control" name="departureTime" value="<?php echo e(old('departureTime')); ?>" required>
                </div>
            </div>
            <div class="modal-footer">
                <div style="margin: 0px auto 0px auto">
                    <?php if(count($errors)>0): ?>
                    <div class="alert alert-danger">
                        <ul>
                        <?php ($error_create = 0); ?>
                        <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li><?php echo e($error); ?></li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>

                    </div>
                    <?php endif; ?>
                    <div style="margin: 0px auto 0px auto">
                        <button type="button" class="btn btn-danger" data-dismiss="modal">Cerrar</button>
                        <button type="submit" class="btn btn-primary">Guardar</button>
                     </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php echo e(Form::Close()); ?>


<?php /**PATH /home/enlazase/public_html/horario/resources/views/acceso/schedule/create.blade.php ENDPATH**/ ?>