<?php echo Form::open(['url' => 'asistencia/reporte_mensual', 'method' => 'GET', 'autocomplete' => 'off', 'role' => 'search']); ?>

<div class="card-header">
    
    
    <div class="card-body">
        <div class="row">
            <?php if($searchText3 == ''): ?>
                <?php ($searchText3 = 'NADA'); ?>
            <?php endif; ?>
            <?php if($searchText3 != 'NADA'): ?>
                <div class="col-md-2">
                <a href="<?php echo e(route('reporte_mensual.excel', [$searchText, $searchText2, $searchText3])); ?>" target="_blank"
                    title="Reporte en Documento de Excel" class="btn btn-default btn-sm">
                    <i class="fas fa-file-excel" style="color: #0da358"></i></a>
                <a href="<?php echo e(route('reporte_mensual.pdf', [$searchText, $searchText2, $searchText3])); ?>" target="_blank"
                    title="Reporte en PDF" class="btn btn-default btn-sm">
                    <i class="fas fa-file-pdf" style="color: #d14949"></i></a>
                </div>
            <?php endif; ?>
            
            <div class="col-md-3">
                <select name="searchText3" id="" class="form-control">
                    <option value="NADA">SELECCIONA..</option>
                    <?php $__currentLoopData = $usuario; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if($searchText3 == $item->IdUsuario): ?>
                            <option value="<?php echo e($item->IdUsuario); ?>" selected><?php echo e($item->Nombres); ?> </option>
                        <?php else: ?>
                            <option value="<?php echo e($item->IdUsuario); ?>"><?php echo e($item->Nombres); ?></option>
                        <?php endif; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
            <div class="col-md-3">
                <select name="searchText2" id="" class="form-control">
                    <?php if($searchText2 == ''): ?>
                        <?php ($searchText2 = date('Y')); ?>
                    <?php endif; ?>
                    <?php $__currentLoopData = $anios_vista; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if($searchText2 == $item): ?>
                            <option value="<?php echo e($item); ?>" selected><?php echo e($item); ?></option>
                        <?php else: ?>
                            <option value="<?php echo e($item); ?>"><?php echo e($item); ?></option>
                        <?php endif; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
            
            <div class="col-md-3">
                <select name="searchText" id="" class="form-control">
                    <?php if($searchText == ''): ?>
                        <?php ($searchText = date('m')); ?>
                    <?php endif; ?>
                    <?php ($cont = 1); ?>
                    <?php $__currentLoopData = $meses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if($searchText == $cont): ?>
                            <option value="<?php echo e($cont); ?>" selected><?php echo e($item); ?></option>
                        <?php else: ?>
                            <option value="<?php echo e($cont); ?>"><?php echo e($item); ?></option>
                        <?php endif; ?>

                        <?php ($cont += 1); ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
            <div class="col-md-1">
                <div class="input-group-append">
                    <button type="submit" class="btn btn-default">
                        <i class="fas fa-search"></i>
                    </button>
                </div>
            </div>
        </div>
    </div>
    
</div>

<?php echo e(Form::close()); ?>

<?php /**PATH C:\Cambios_Chi\sysasistencia_nelsonGeneral\resources\views/asistencia/reporte_mensual/search.blade.php ENDPATH**/ ?>