<?php $__env->startSection('contenido'); ?>
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h3>Configuración del Sistema</h3>
                </div>
                
            </div>
        </div><!-- /.container-fluid -->
    </section>

    <div class="row">
        <div class="col-lg-8 col-md-12 col-sm-12 col-xs-12">
            <div class="table-responsive" style="background: white">
                <table class="table ">
                    <tr colspan="2">
                        <h5>Datos de la Empresa</h5>
                    </tr>
                    <tr>
                        <td colspan="2" style="color: #b41717">
                            *Esta información es importante para la emisión de reportes.
                        </td>
                    </tr>
                    <tr>
                        <td><b>LOGO:</b></td>
                        <td> <img src="<?php echo e(asset('logo/' . $empresa->Logo)); ?>" alt="" width="100" height="100">
                        </td>
                    </tr>
                    <tr>
                        <td><b>NOMBRE DE LA EMPRESA:</b></td>
                        <td><?php echo e($empresa->nomEmpresa); ?></td>
                    </tr>
                    <tr>
                        <td><b>RUT:</b></td>
                        <td><?php echo e($empresa->rutEmpresa); ?></td>
                    </tr>
                    <tr>
                        <td><b>DIRECCIÓN:</b></td>
                        <td><?php echo e($empresa->Direccion); ?></td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <h5>Ajustes del Sistema</h5>
                        </td>
                    </tr>
                    
                    <tr>
                        <td><b>APERTURA DEL SISTEMA:</b></td>
                        <td> <?php echo e($empresa->AperturaSistema); ?></td>
                    </tr>
                    
                    <tr>
                        <td><b>DIAS DE APERTURA:</b></td>
                        <?php ($dias_hab = explode('_', $empresa->diasHabilitados)); ?>
                        <?php ($dias = ['LU', 'MA', 'MI', 'JU', 'VI', 'SÁ', 'DO']); ?>
                        <td>
                            <?php $__currentLoopData = $dias; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php ($aux = false); ?>
                                <?php $__currentLoopData = $dias_hab; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item2): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if($item == $item2): ?>
                                        <?php ($aux = true); ?>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php echo e($item); ?>

                                <?php if($aux): ?>
                                    <i class="fas fa-circle" style="margin-right: 10px;"></i>
                                    
                                <?php else: ?>
                                    <i class="far fa-circle" style="margin-right: 10px;"></i>
                                    
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" style="text-align: center;">
                            <a class="btn btn-info" style="width: 150px" href="" data-target="#modal-add"
                                data-toggle="modal">
                                Editar <i class="far fa-edit" style="margin-left: 20px"></i>
                            </a>
                        </td>
                    </tr>

                </table>
            </div>
        </div>
    </div>

    <?php echo $__env->make('configuracion.empresa.modal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <script type="text/javascript">
        function mostrar() {
            var archivo = document.getElementById("Logo").files[0];
            var reader = new FileReader();
            if (archivo) {
                reader.readAsDataURL(archivo);
                reader.onloadend = function() {
                    document.getElementById("img").src = reader.result;
                    document.getElementById("nombre_imagen").value = archivo.name;
                }
            } else {
                document.getElementById("img").src = "";
                document.getElementById("nombre_imagen").value = "";
            }
        }
    </script>

    <?php $__env->startPush('scripts'); ?>
        <script>
            $('.input-number').on('input', function () {
                this.value = this.value.replace(/[^0-9,-]/g,'');
            });
        </script>
        <?php if(count($errors) > 0): ?>
            <script type="text/javascript">
                $(document).ready(function() {

                    $('#modal-add').modal('show');
                });
            </script>
        <?php endif; ?>
        <?php if(session()->has('success')): ?>
            <script>
                $(document).ready(function() {
                    Snackbar.show({
                        text: '<?php echo e(session('success')); ?>',
                        actionText: 'CERRAR',
                        pos: 'bottom-right',
                        actionTextColor: '#27AE60',
                        duration: 6000
                    });
                });
            </script>
        <?php endif; ?>

        
    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Cambios_Chi\sysasistencia_ng\resources\views/configuracion/empresa/index.blade.php ENDPATH**/ ?>