<?php use App\Http\Controllers\InformeController; ?>
<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Infome de Pagos</title>
    <style>
        body{
            font-family: Arial, Helvetica, sans-serif;
            font-size: 0.80em;
        }
        table {
            /* margin-left: auto;
            margin-right: auto; */
            border-collapse: collapse; border-color: rgb(0, 0, 0);
            width: 100%;
        }
        td {
            padding: 3px; border: 1px solid rgb(37, 87, 134);
        }
        th {
            padding: 3px; border: 1px solid rgb(37, 87, 134);
            background: #eaf3fa;
            color: #12446b;
        }
        .data{
        float: right;
        margin: 2% 0% 0% 0%;
        }
    </style>

</head>

<body>
    <div>
        <?php if(!empty($empresa->Logo)): ?>
            <img src="../public/logo/<?php echo e($empresa->Logo); ?>" alt="" width="80" height="80">
            <p class="data">
                <?php echo e($empresa->nomEmpresa); ?> <br>
                <?php echo e($empresa->Direccion); ?>

            </p>
        <?php else: ?>
            <p>
                <?php echo e($empresa->nomEmpresa); ?> <br>
                <?php echo e($empresa->Direccion); ?>

            </p>
        <?php endif; ?>
    </div>
    <div colspan="3">
        <?php echo e($id3); ?>

    </div>
    <div style="background: #163864; color: #ffffff;
    text-align: center; padding: 10px; margin-bottom: 10px">
        <span>Pagos del <?php echo e(InformeController::fechaCastellano($id)); ?> al <?php echo e(InformeController::fechaCastellano($id2)); ?></span>
    </div>
    <table>
        <thead>
            <tr>
                <th>Fecha</th>
                <?php if($id3 == ''): ?>
                    <th>Personal</th>
                <?php endif; ?>
                <th>Descripción</th>
                <th>Monto</th>
            </tr>
        </thead>
            <tbody>
            <?php ($totalMonto = 0); ?>
            <?php $__currentLoopData = $pago; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <?php ($n = explode(' ', strtoupper($item->Nombres))); ?>
                    <td><?php echo e(date('d/m/Y', strtotime($item->fecha))); ?></td>
                    <?php if($id3 == ''): ?>
                        <?php if(count($n) > 2): ?>
                            <td><?php echo e($n[0]); ?> <?php echo e($n[1]); ?></td>
                        <?php else: ?>
                            <td><?php echo e($item->Nombres); ?></td>
                        <?php endif; ?>
                    <?php endif; ?>
                    <td><?php echo e(strtoupper($item->nota)); ?> </td>
                    <td style="text-align: right">
                        $ <?php echo e($item->monto); ?>

                        <?php ($totalMonto += $item->monto); ?>
                    </td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <?php if($id3 == ''): ?>
                    <td colspan="2">
                    <?php else: ?>
                    <td>
                    <?php endif; ?>
                    </td>
                    <td align="right"> <b>Monto Total:</b> </td>
                    <td align="right"> <b>$ <?php echo e($totalMonto); ?></b> </td>
                </tr>
            </tbody>
        </table>
    </body>

    </html>
<?php /**PATH C:\Cambios_Chi\sysasistencia_ng\resources\views/caja/pago/informe.blade.php ENDPATH**/ ?>