<?php $__env->startSection('contenido'); ?>
<section class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h3>Nuevo Pago</h3>
            </div>
        </div>
    </div><!-- /.container-fluid -->
</section>
<div class="row">
		<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
			<?php if(count($errors)>0): ?>
			<div class="alert alert-danger" role="alert">
				<ul>
				<?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
					<li><?php echo e($error); ?></li>
				<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
				</ul>
			</div>
			<?php endif; ?>
			<?php echo Form::open(array('url'=>'caja/pago','method'=>'POST','autocomplete'=>'off')); ?>

            <?php echo e(Form::token()); ?>

            <div class="form-group">
            	<label for="IdUsuario">Personal</label>
            	<select name="IdUsuario" id="" class="form-control">
                    <?php $__currentLoopData = $usuario; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if(old('IdUsuario') == $item->IdUsuario): ?>
                            <option value="<?php echo e($item->IdUsuario); ?>" selected><?php echo e($item->Nombres); ?></option>
                        <?php else: ?>
                            <option value="<?php echo e($item->IdUsuario); ?>" ><?php echo e($item->Nombres); ?></option>
                        <?php endif; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
            <div class="form-group">
            	<label for="monto">Monto</label>
            	<input type="text" name="monto" class="form-control"
				value= "<?php echo e(old('monto')); ?>"
				placeholder="Ingrese el monto a Pagar.">
            </div>
            <div class="form-group">
            	<label for="nota">Nota</label>
            	<input type="text" name="nota" class="form-control"
				value= "<?php echo e(old('nota')); ?>"
				placeholder="Ingrese una nota. (Opcional)">
            </div>
            <div class="form-group">
            	<button  type="submit" id="enviar" style="display: none">Guardar</button>
            </div>
            <?php echo Form::close(); ?>

            <div class="form-group">
				<a href="<?php echo e(asset('caja/pago')); ?>" class="btn btn-danger">Cancelar</a>
                <button  class="btn btn-primary guardar">Pagar</button>
            </div>



		</div>
	</div>

<?php $__env->startPush('scripts'); ?>
    <script>
        $('.guardar').unbind().click(function () {
          var $button = $(this);
        //   var data_nombre = $button.attr('data-nombre');
          Swal.fire({
            title: 'Confirme el Pago',
            showDenyButton: true,
            icon: 'warning',
            text: 'Recuerde que no podrá editar, ni eliminar el Pago!',
            confirmButtonText: `Confirmar`,
            denyButtonText: `Cancelar`,
            customClass: 'swal-wide',
          }).then((result) => {
            /* Read more about isConfirmed, isDenied below */
            if (result.isConfirmed) {
                $("#enviar").click();
            } else if (result.isDenied) {
              Swal.fire('No se realizó ningún Pago', '', 'info')
            }
          })
        });
    </script>
<?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Cambios_Chi\sysasistencia_nelsonGeneral\resources\views/caja/pago/create.blade.php ENDPATH**/ ?>